# Get request identification detail.

Endpoint: GET /request/{id}/identification
Version: 2.0.0
Security: ApiKeyAuth

## Path parameters:

  - `id` (string, required)

## Query parameters:

  - `identificationId` (string)
    If not set, the endpoint returns the last identification.

  - `actor` (string)
    The id of the actor. According to the endpoint it may be required if multiple actors are defined
for the requestType.

## Response 200 fields (application/json):

  - `organizationId` (string)

  - `personData` (object)

  - `personData.lastName` (string)

  - `personData.firstName` (string)

  - `personData.birthDate` (string)

  - `personData.birthPlace` (string)

  - `personData.personalNumber` (string)
    Personal identification number used in the country.
For instance, in Italy is "Codice Fiscale".

  - `personData.gender` (string)
    Open-type enum. Current values:
  - M
  - F
  - X

  - `personData.nationality` (string)
    Country codes format follows the standard ISO 3166-1 alpha-2 with additional values for special cases according to ICAO 9303.

  - `personData.phoneNumber` (string)

  - `personData.address` (object)

  - `personData.address.address` (string)
    The address is not split into subparts or mapped to specific fields.
The address class definition is designed to support specific subparts fileds in case the upstream identification system returns the address already split into parts.
For instance it could be: Via del Mondo (or) Via del Mondo 9 (or) Via del Mondo 9 00552 ROMA (RM) (or) Via del Mondo 9 00552 ...

  - `personData.address.city` (string)

  - `personData.address.country` (string)
    Country codes format follows the standard ISO 3166-1 alpha-2 with additional values for special cases according to ICAO 9303.

  - `personData.address.zipcode` (string)

  - `personData.address.province` (string)
    Optional

  - `personData.address.streetNumber` (string)
    The street number, if available by the identification source
(it may be present or missing in the address. It may be null regardless being present in the address).

  - `personData.email` (string)

  - `personData.documentDetails` (object)

  - `personData.documentDetails.issuanceCountry` (string)
    Country codes format follows the standard ISO 3166-1 alpha-2 with additional values for special cases according to ICAO 9303.

  - `personData.documentDetails.issuanceAuthority` (string)
    Body who issued the document.

  - `personData.documentDetails.type` (string)
    Values may be added overtime.
List of values: 
- 'IdentityCard'
- 'DriverLicense'
- 'Passport'
- 'ResidencePermit'
- 'ItalianTS'
- 'Undefined'

  - `personData.documentDetails.number` (string)

  - `personData.documentDetails.issuedOn` (string)

  - `personData.documentDetails.expiryDate` (string)

  - `personData.documentDetails.subType` (string)

  - `personData.documentDetails.mrz` (array)

  - `personData.tinDocumentDetails` (object)

  - `personData.tinDocumentDetails.issuanceCountry` (string)
    Country codes format follows the standard ISO 3166-1 alpha-2 with additional values for special cases according to ICAO 9303.

  - `personData.tinDocumentDetails.issuanceAuthority` (string)
    Body who issued the document.

  - `personData.tinDocumentDetails.type` (string)
    Values may be added overtime.
List of values: 
- 'IdentityCard'
- 'DriverLicense'
- 'Passport'
- 'ResidencePermit'
- 'ItalianTS'
- 'Undefined'

  - `personData.tinDocumentDetails.number` (string)

  - `personData.tinDocumentDetails.issuedOn` (string)

  - `personData.tinDocumentDetails.expiryDate` (string)

  - `personData.tinDocumentDetails.subType` (string)

  - `personData.tinDocumentDetails.mrz` (array)

  - `validationDetail` (object)

  - `validationDetail.personalNumber` (object)
    - requestMatched: If this element matches the corresponding parameter passed in the create request.
- otpValidated: If the element has been verified using an otp (eg. by email or sms).
- byIdentificationSource: If the element has been derived from the identification source.

  - `validationDetail.personalNumber.requestMatched` (string)
    The entry may be missing or null. Values may be added overtime.
Values:
- OK: The value has been matched or extracted.
- NOT_OK: The value has not been matched or extracted.
- SKIPPED: The value check has not been performed.

  - `validationDetail.personalNumber.otpValidated` (string)
    The entry may be missing or null. Values may be added overtime.
Values:
- OK: The value has been matched or extracted.
- NOT_OK: The value has not been matched or extracted.
- SKIPPED: The value check has not been performed.

  - `validationDetail.personalNumber.byIdentificationSource` (string)
    The entry may be missing or null. Values may be added overtime.
Values:
- OK: The value has been matched or extracted.
- NOT_OK: The value has not been matched or extracted.
- SKIPPED: The value check has not been performed.

  - `validationDetail.personalNumber.byRequestInput` (string)
    The entry may be missing or null. Values may be added overtime.
Values:
- OK: The value has been matched or extracted.
- NOT_OK: The value has not been matched or extracted.
- SKIPPED: The value check has not been performed.

  - `validationDetail.lastName` (object)
    - requestMatched: If this element matches the corresponding parameter passed in the create request.
- otpValidated: If the element has been verified using an otp (eg. by email or sms).
- byIdentificationSource: If the element has been derived from the identification source.

  - `validationDetail.lastName.requestMatched` (string)
    The entry may be missing or null. Values may be added overtime.
Values:
- OK: The value has been matched or extracted.
- NOT_OK: The value has not been matched or extracted.
- SKIPPED: The value check has not been performed.

  - `validationDetail.lastName.otpValidated` (string)
    The entry may be missing or null. Values may be added overtime.
Values:
- OK: The value has been matched or extracted.
- NOT_OK: The value has not been matched or extracted.
- SKIPPED: The value check has not been performed.

  - `validationDetail.lastName.byIdentificationSource` (string)
    The entry may be missing or null. Values may be added overtime.
Values:
- OK: The value has been matched or extracted.
- NOT_OK: The value has not been matched or extracted.
- SKIPPED: The value check has not been performed.

  - `validationDetail.lastName.byRequestInput` (string)
    The entry may be missing or null. Values may be added overtime.
Values:
- OK: The value has been matched or extracted.
- NOT_OK: The value has not been matched or extracted.
- SKIPPED: The value check has not been performed.

  - `validationDetail.firstName` (object)
    - requestMatched: If this element matches the corresponding parameter passed in the create request.
- otpValidated: If the element has been verified using an otp (eg. by email or sms).
- byIdentificationSource: If the element has been derived from the identification source.

  - `validationDetail.firstName.requestMatched` (string)
    The entry may be missing or null. Values may be added overtime.
Values:
- OK: The value has been matched or extracted.
- NOT_OK: The value has not been matched or extracted.
- SKIPPED: The value check has not been performed.

  - `validationDetail.firstName.otpValidated` (string)
    The entry may be missing or null. Values may be added overtime.
Values:
- OK: The value has been matched or extracted.
- NOT_OK: The value has not been matched or extracted.
- SKIPPED: The value check has not been performed.

  - `validationDetail.firstName.byIdentificationSource` (string)
    The entry may be missing or null. Values may be added overtime.
Values:
- OK: The value has been matched or extracted.
- NOT_OK: The value has not been matched or extracted.
- SKIPPED: The value check has not been performed.

  - `validationDetail.firstName.byRequestInput` (string)
    The entry may be missing or null. Values may be added overtime.
Values:
- OK: The value has been matched or extracted.
- NOT_OK: The value has not been matched or extracted.
- SKIPPED: The value check has not been performed.

  - `validationDetail.birthDate` (object)
    - requestMatched: If this element matches the corresponding parameter passed in the create request.
- otpValidated: If the element has been verified using an otp (eg. by email or sms).
- byIdentificationSource: If the element has been derived from the identification source.

  - `validationDetail.birthDate.requestMatched` (string)
    The entry may be missing or null. Values may be added overtime.
Values:
- OK: The value has been matched or extracted.
- NOT_OK: The value has not been matched or extracted.
- SKIPPED: The value check has not been performed.

  - `validationDetail.birthDate.otpValidated` (string)
    The entry may be missing or null. Values may be added overtime.
Values:
- OK: The value has been matched or extracted.
- NOT_OK: The value has not been matched or extracted.
- SKIPPED: The value check has not been performed.

  - `validationDetail.birthDate.byIdentificationSource` (string)
    The entry may be missing or null. Values may be added overtime.
Values:
- OK: The value has been matched or extracted.
- NOT_OK: The value has not been matched or extracted.
- SKIPPED: The value check has not been performed.

  - `validationDetail.birthDate.byRequestInput` (string)
    The entry may be missing or null. Values may be added overtime.
Values:
- OK: The value has been matched or extracted.
- NOT_OK: The value has not been matched or extracted.
- SKIPPED: The value check has not been performed.

  - `validationDetail.gender` (object)
    - requestMatched: If this element matches the corresponding parameter passed in the create request.
- otpValidated: If the element has been verified using an otp (eg. by email or sms).
- byIdentificationSource: If the element has been derived from the identification source.

  - `validationDetail.gender.requestMatched` (string)
    The entry may be missing or null. Values may be added overtime.
Values:
- OK: The value has been matched or extracted.
- NOT_OK: The value has not been matched or extracted.
- SKIPPED: The value check has not been performed.

  - `validationDetail.gender.otpValidated` (string)
    The entry may be missing or null. Values may be added overtime.
Values:
- OK: The value has been matched or extracted.
- NOT_OK: The value has not been matched or extracted.
- SKIPPED: The value check has not been performed.

  - `validationDetail.gender.byIdentificationSource` (string)
    The entry may be missing or null. Values may be added overtime.
Values:
- OK: The value has been matched or extracted.
- NOT_OK: The value has not been matched or extracted.
- SKIPPED: The value check has not been performed.

  - `validationDetail.gender.byRequestInput` (string)
    The entry may be missing or null. Values may be added overtime.
Values:
- OK: The value has been matched or extracted.
- NOT_OK: The value has not been matched or extracted.
- SKIPPED: The value check has not been performed.

  - `validationDetail.phoneNumber` (object)
    - requestMatched: If this element matches the corresponding parameter passed in the create request.
- otpValidated: If the element has been verified using an otp (eg. by email or sms).
- byIdentificationSource: If the element has been derived from the identification source.

  - `validationDetail.phoneNumber.requestMatched` (string)
    The entry may be missing or null. Values may be added overtime.
Values:
- OK: The value has been matched or extracted.
- NOT_OK: The value has not been matched or extracted.
- SKIPPED: The value check has not been performed.

  - `validationDetail.phoneNumber.otpValidated` (string)
    The entry may be missing or null. Values may be added overtime.
Values:
- OK: The value has been matched or extracted.
- NOT_OK: The value has not been matched or extracted.
- SKIPPED: The value check has not been performed.

  - `validationDetail.phoneNumber.byIdentificationSource` (string)
    The entry may be missing or null. Values may be added overtime.
Values:
- OK: The value has been matched or extracted.
- NOT_OK: The value has not been matched or extracted.
- SKIPPED: The value check has not been performed.

  - `validationDetail.phoneNumber.byRequestInput` (string)
    The entry may be missing or null. Values may be added overtime.
Values:
- OK: The value has been matched or extracted.
- NOT_OK: The value has not been matched or extracted.
- SKIPPED: The value check has not been performed.

  - `validationDetail.email` (object)
    - requestMatched: If this element matches the corresponding parameter passed in the create request.
- otpValidated: If the element has been verified using an otp (eg. by email or sms).
- byIdentificationSource: If the element has been derived from the identification source.

  - `validationDetail.email.requestMatched` (string)
    The entry may be missing or null. Values may be added overtime.
Values:
- OK: The value has been matched or extracted.
- NOT_OK: The value has not been matched or extracted.
- SKIPPED: The value check has not been performed.

  - `validationDetail.email.otpValidated` (string)
    The entry may be missing or null. Values may be added overtime.
Values:
- OK: The value has been matched or extracted.
- NOT_OK: The value has not been matched or extracted.
- SKIPPED: The value check has not been performed.

  - `validationDetail.email.byIdentificationSource` (string)
    The entry may be missing or null. Values may be added overtime.
Values:
- OK: The value has been matched or extracted.
- NOT_OK: The value has not been matched or extracted.
- SKIPPED: The value check has not been performed.

  - `validationDetail.email.byRequestInput` (string)
    The entry may be missing or null. Values may be added overtime.
Values:
- OK: The value has been matched or extracted.
- NOT_OK: The value has not been matched or extracted.
- SKIPPED: The value check has not been performed.

  - `validationDetail.documentNumber` (object)
    - requestMatched: If this element matches the corresponding parameter passed in the create request.
- otpValidated: If the element has been verified using an otp (eg. by email or sms).
- byIdentificationSource: If the element has been derived from the identification source.

  - `validationDetail.documentNumber.requestMatched` (string)
    The entry may be missing or null. Values may be added overtime.
Values:
- OK: The value has been matched or extracted.
- NOT_OK: The value has not been matched or extracted.
- SKIPPED: The value check has not been performed.

  - `validationDetail.documentNumber.otpValidated` (string)
    The entry may be missing or null. Values may be added overtime.
Values:
- OK: The value has been matched or extracted.
- NOT_OK: The value has not been matched or extracted.
- SKIPPED: The value check has not been performed.

  - `validationDetail.documentNumber.byIdentificationSource` (string)
    The entry may be missing or null. Values may be added overtime.
Values:
- OK: The value has been matched or extracted.
- NOT_OK: The value has not been matched or extracted.
- SKIPPED: The value check has not been performed.

  - `validationDetail.documentNumber.byRequestInput` (string)
    The entry may be missing or null. Values may be added overtime.
Values:
- OK: The value has been matched or extracted.
- NOT_OK: The value has not been matched or extracted.
- SKIPPED: The value check has not been performed.

  - `operator` (object)

  - `operator.idSelf` (object)

  - `operator.idSelf.receivedAt` (string)

  - `operator.idSelf.response` (object)

  - `operator.idSelf.response.documentType` (string)
    Values may be added overtime.
List of values: 
- 'IdentityCard'
- 'DriverLicense'
- 'Passport'
- 'ResidencePermit'
- 'ItalianTS'
- 'Undefined'

  - `operator.idSelf.response.documentTypeFamily` (string)
    Values may be added overtime.
List of values: 
- 'IDENTITY_DOCUMENT'
- 'UNDEFINED'

  - `operator.idSelf.response.controlsSummary` (integer)
    0: all controls are fine.
-1: at least one quality error
-2: at least one document conformity error
-3: at least one document consistency or authenticity error

  - `operator.idSelf.response.keysWithError` (array)
    list of controls keys paths with status KO or FAILED.

  - `operator.idSelf.response.controlsGroup` (object)

  - `operator.idSelf.response.controlsGroup.deepfakeDetectionPassed` (string)
    Open-type enum. Current values:
  - SUCCESS
  - ERROR
  - FAILURE
  - SKIPPED

  - `operator.idSelf.response.controlsGroup.modelValid` (string)
    Open-type enum. Current values:
  - SUCCESS
  - ERROR
  - FAILURE
  - SKIPPED

  - `operator.idSelf.personDataSnapshotBeforeOperatorCheck` (object)

  - `operator.idSelf.personDataSnapshotBeforeOperatorCheck.lastName` (string)

  - `operator.idSelf.personDataSnapshotBeforeOperatorCheck.firstName` (string)

  - `operator.idSelf.personDataSnapshotBeforeOperatorCheck.birthDate` (string)

  - `operator.idSelf.personDataSnapshotBeforeOperatorCheck.birthPlace` (string)

  - `operator.idSelf.personDataSnapshotBeforeOperatorCheck.personalNumber` (string)
    Personal identification number used in the country.
For instance, in Italy is "Codice Fiscale".

  - `operator.idSelf.personDataSnapshotBeforeOperatorCheck.gender` (string)
    Open-type enum. Current values:
  - M
  - F
  - X

  - `operator.idSelf.personDataSnapshotBeforeOperatorCheck.nationality` (string)
    Country codes format follows the standard ISO 3166-1 alpha-2 with additional values for special cases according to ICAO 9303.

  - `operator.idSelf.personDataSnapshotBeforeOperatorCheck.phoneNumber` (string)

  - `operator.idSelf.personDataSnapshotBeforeOperatorCheck.address` (object)

  - `operator.idSelf.personDataSnapshotBeforeOperatorCheck.address.address` (string)
    The address is not split into subparts or mapped to specific fields.
The address class definition is designed to support specific subparts fileds in case the upstream identification system returns the address already split into parts.
For instance it could be: Via del Mondo (or) Via del Mondo 9 (or) Via del Mondo 9 00552 ROMA (RM) (or) Via del Mondo 9 00552 ...

  - `operator.idSelf.personDataSnapshotBeforeOperatorCheck.address.city` (string)

  - `operator.idSelf.personDataSnapshotBeforeOperatorCheck.address.country` (string)
    Country codes format follows the standard ISO 3166-1 alpha-2 with additional values for special cases according to ICAO 9303.

  - `operator.idSelf.personDataSnapshotBeforeOperatorCheck.address.zipcode` (string)

  - `operator.idSelf.personDataSnapshotBeforeOperatorCheck.address.province` (string)
    Optional

  - `operator.idSelf.personDataSnapshotBeforeOperatorCheck.address.streetNumber` (string)
    The street number, if available by the identification source
(it may be present or missing in the address. It may be null regardless being present in the address).

  - `operator.idSelf.personDataSnapshotBeforeOperatorCheck.email` (string)

  - `operator.idSelf.personDataSnapshotBeforeOperatorCheck.documentDetails` (object)

  - `operator.idSelf.personDataSnapshotBeforeOperatorCheck.documentDetails.issuanceCountry` (string)
    Country codes format follows the standard ISO 3166-1 alpha-2 with additional values for special cases according to ICAO 9303.

  - `operator.idSelf.personDataSnapshotBeforeOperatorCheck.documentDetails.issuanceAuthority` (string)
    Body who issued the document.

  - `operator.idSelf.personDataSnapshotBeforeOperatorCheck.documentDetails.type` (string)
    Values may be added overtime.
List of values: 
- 'IdentityCard'
- 'DriverLicense'
- 'Passport'
- 'ResidencePermit'
- 'ItalianTS'
- 'Undefined'

  - `operator.idSelf.personDataSnapshotBeforeOperatorCheck.documentDetails.number` (string)

  - `operator.idSelf.personDataSnapshotBeforeOperatorCheck.documentDetails.issuedOn` (string)

  - `operator.idSelf.personDataSnapshotBeforeOperatorCheck.documentDetails.expiryDate` (string)

  - `operator.idSelf.personDataSnapshotBeforeOperatorCheck.documentDetails.subType` (string)

  - `operator.idSelf.personDataSnapshotBeforeOperatorCheck.documentDetails.mrz` (array)

  - `operator.idSelf.personDataSnapshotBeforeOperatorCheck.tinDocumentDetails` (object)

  - `operator.idSelf.personDataSnapshotBeforeOperatorCheck.tinDocumentDetails.issuanceCountry` (string)
    Country codes format follows the standard ISO 3166-1 alpha-2 with additional values for special cases according to ICAO 9303.

  - `operator.idSelf.personDataSnapshotBeforeOperatorCheck.tinDocumentDetails.issuanceAuthority` (string)
    Body who issued the document.

  - `operator.idSelf.personDataSnapshotBeforeOperatorCheck.tinDocumentDetails.type` (string)
    Values may be added overtime.
List of values: 
- 'IdentityCard'
- 'DriverLicense'
- 'Passport'
- 'ResidencePermit'
- 'ItalianTS'
- 'Undefined'

  - `operator.idSelf.personDataSnapshotBeforeOperatorCheck.tinDocumentDetails.number` (string)

  - `operator.idSelf.personDataSnapshotBeforeOperatorCheck.tinDocumentDetails.issuedOn` (string)

  - `operator.idSelf.personDataSnapshotBeforeOperatorCheck.tinDocumentDetails.expiryDate` (string)

  - `operator.idSelf.personDataSnapshotBeforeOperatorCheck.tinDocumentDetails.subType` (string)

  - `operator.idSelf.personDataSnapshotBeforeOperatorCheck.tinDocumentDetails.mrz` (array)

  - `operator.idSelf.dataChanged` (array)

  - `operator.idSelf.dataChanged.key` (string)

  - `operator.idSelf.dataChanged.oldValue` (string)

  - `operator.idSelf.dataChanged.newValue` (string)

  - `operator.idSelf.operatorCheckResponse` (object)

  - `operator.idSelf.operatorCheckResponse.status` (string)
    Open-type enum. Current values:
  - SUCCESS
  - FAILED

  - `operator.idSelf.operatorCheckResponse.message` (string)

  - `operator.idSelf.operatorCheckResponse.areElementsReadable` (boolean)

  - `operator.idSelf.operatorCheckResponse.liveCheckAnalysisUuid` (string)

  - `operator.idSelf.operatorCheckResponse.refuseReasonEnum` (string)

  - `operator.idSelf.operatorCheckResponse.liveCheckProvider` (string)
    Open-type enum. Current values:
  - LC_NOB
  - LC_LEGACY

  - `operator.idSelfStartedAt` (string)

  - `operator.internalOperator` (object)

  - `operator.internalOperator.reviewPersonData` (object)

  - `operator.internalOperator.reviewPersonData.firstName` (object)

  - `operator.internalOperator.reviewPersonData.firstName.value` (string)

  - `operator.internalOperator.reviewPersonData.firstName.status` (string)
    Open-type enum. Current values:
  - APPROVED
  - REVISED
  - REJECTED
  - NOT_REVIEWED

  - `operator.internalOperator.reviewPersonData.firstName.operatorConfiguration` (object)

  - `operator.internalOperator.reviewPersonData.firstName.operatorConfiguration.mode` (string, required)
    Open-type enum. Current values:
  - DISABLED
  - OPTIONAL
  - REQUIRED

  - `operator.internalOperator.reviewPersonData.firstName.operatorConfiguration.revisable` (boolean, required)

  - `operator.internalOperator.reviewPersonData.lastName` (object)

  - `operator.internalOperator.reviewPersonData.lastName.value` (string)

  - `operator.internalOperator.reviewPersonData.lastName.status` (string)
    Open-type enum. Current values:
  - APPROVED
  - REVISED
  - REJECTED
  - NOT_REVIEWED

  - `operator.internalOperator.reviewPersonData.lastName.operatorConfiguration` (object)

  - `operator.internalOperator.reviewPersonData.lastName.operatorConfiguration.mode` (string, required)
    Open-type enum. Current values:
  - DISABLED
  - OPTIONAL
  - REQUIRED

  - `operator.internalOperator.reviewPersonData.lastName.operatorConfiguration.revisable` (boolean, required)

  - `operator.internalOperator.reviewPersonData.birthDate` (object)

  - `operator.internalOperator.reviewPersonData.birthDate.value` (string)

  - `operator.internalOperator.reviewPersonData.birthDate.status` (string)
    Open-type enum. Current values:
  - APPROVED
  - REVISED
  - REJECTED
  - NOT_REVIEWED

  - `operator.internalOperator.reviewPersonData.birthDate.operatorConfiguration` (object)

  - `operator.internalOperator.reviewPersonData.birthDate.operatorConfiguration.mode` (string, required)
    Open-type enum. Current values:
  - DISABLED
  - OPTIONAL
  - REQUIRED

  - `operator.internalOperator.reviewPersonData.birthDate.operatorConfiguration.revisable` (boolean, required)

  - `operator.internalOperator.reviewPersonData.birthPlace` (object)

  - `operator.internalOperator.reviewPersonData.birthPlace.value` (string)

  - `operator.internalOperator.reviewPersonData.birthPlace.status` (string)
    Open-type enum. Current values:
  - APPROVED
  - REVISED
  - REJECTED
  - NOT_REVIEWED

  - `operator.internalOperator.reviewPersonData.birthPlace.operatorConfiguration` (object)

  - `operator.internalOperator.reviewPersonData.birthPlace.operatorConfiguration.mode` (string, required)
    Open-type enum. Current values:
  - DISABLED
  - OPTIONAL
  - REQUIRED

  - `operator.internalOperator.reviewPersonData.birthPlace.operatorConfiguration.revisable` (boolean, required)

  - `operator.internalOperator.reviewPersonData.personalNumber` (object)

  - `operator.internalOperator.reviewPersonData.personalNumber.value` (string)

  - `operator.internalOperator.reviewPersonData.personalNumber.status` (string)
    Open-type enum. Current values:
  - APPROVED
  - REVISED
  - REJECTED
  - NOT_REVIEWED

  - `operator.internalOperator.reviewPersonData.personalNumber.operatorConfiguration` (object)

  - `operator.internalOperator.reviewPersonData.personalNumber.operatorConfiguration.mode` (string, required)
    Open-type enum. Current values:
  - DISABLED
  - OPTIONAL
  - REQUIRED

  - `operator.internalOperator.reviewPersonData.personalNumber.operatorConfiguration.revisable` (boolean, required)

  - `operator.internalOperator.reviewPersonData.gender` (object)

  - `operator.internalOperator.reviewPersonData.gender.value` (string)
    Open-type enum. Current values:
  - M
  - F
  - X

  - `operator.internalOperator.reviewPersonData.gender.status` (string)
    Open-type enum. Current values:
  - APPROVED
  - REVISED
  - REJECTED
  - NOT_REVIEWED

  - `operator.internalOperator.reviewPersonData.gender.operatorConfiguration` (object)

  - `operator.internalOperator.reviewPersonData.gender.operatorConfiguration.mode` (string, required)
    Open-type enum. Current values:
  - DISABLED
  - OPTIONAL
  - REQUIRED

  - `operator.internalOperator.reviewPersonData.gender.operatorConfiguration.revisable` (boolean, required)

  - `operator.internalOperator.reviewPersonData.nationality` (object)

  - `operator.internalOperator.reviewPersonData.nationality.value` (string)

  - `operator.internalOperator.reviewPersonData.nationality.status` (string)
    Open-type enum. Current values:
  - APPROVED
  - REVISED
  - REJECTED
  - NOT_REVIEWED

  - `operator.internalOperator.reviewPersonData.nationality.operatorConfiguration` (object)

  - `operator.internalOperator.reviewPersonData.nationality.operatorConfiguration.mode` (string, required)
    Open-type enum. Current values:
  - DISABLED
  - OPTIONAL
  - REQUIRED

  - `operator.internalOperator.reviewPersonData.nationality.operatorConfiguration.revisable` (boolean, required)

  - `operator.internalOperator.reviewPersonData.phoneNumber` (object)

  - `operator.internalOperator.reviewPersonData.phoneNumber.value` (string)

  - `operator.internalOperator.reviewPersonData.phoneNumber.status` (string)
    Open-type enum. Current values:
  - APPROVED
  - REVISED
  - REJECTED
  - NOT_REVIEWED

  - `operator.internalOperator.reviewPersonData.phoneNumber.operatorConfiguration` (object)

  - `operator.internalOperator.reviewPersonData.phoneNumber.operatorConfiguration.mode` (string, required)
    Open-type enum. Current values:
  - DISABLED
  - OPTIONAL
  - REQUIRED

  - `operator.internalOperator.reviewPersonData.phoneNumber.operatorConfiguration.revisable` (boolean, required)

  - `operator.internalOperator.reviewPersonData.address` (object)

  - `operator.internalOperator.reviewPersonData.address.value` (object)

  - `operator.internalOperator.reviewPersonData.address.value.address` (string)
    The address is not split into subparts or mapped to specific fields.
The address class definition is designed to support specific subparts fileds in case the upstream identification system returns the address already split into parts.
For instance it could be: Via del Mondo (or) Via del Mondo 9 (or) Via del Mondo 9 00552 ROMA (RM) (or) Via del Mondo 9 00552 ...

  - `operator.internalOperator.reviewPersonData.address.value.city` (string)

  - `operator.internalOperator.reviewPersonData.address.value.country` (string)
    Country codes format follows the standard ISO 3166-1 alpha-2 with additional values for special cases according to ICAO 9303.

  - `operator.internalOperator.reviewPersonData.address.value.zipcode` (string)

  - `operator.internalOperator.reviewPersonData.address.value.province` (string)
    Optional

  - `operator.internalOperator.reviewPersonData.address.value.streetNumber` (string)
    The street number, if available by the identification source
(it may be present or missing in the address. It may be null regardless being present in the address).

  - `operator.internalOperator.reviewPersonData.address.status` (string)
    Open-type enum. Current values:
  - APPROVED
  - REVISED
  - REJECTED
  - NOT_REVIEWED

  - `operator.internalOperator.reviewPersonData.address.operatorConfiguration` (object)

  - `operator.internalOperator.reviewPersonData.address.operatorConfiguration.mode` (string, required)
    Open-type enum. Current values:
  - DISABLED
  - OPTIONAL
  - REQUIRED

  - `operator.internalOperator.reviewPersonData.address.operatorConfiguration.revisable` (boolean, required)

  - `operator.internalOperator.reviewPersonData.email` (object)

  - `operator.internalOperator.reviewPersonData.email.value` (string)

  - `operator.internalOperator.reviewPersonData.email.status` (string)
    Open-type enum. Current values:
  - APPROVED
  - REVISED
  - REJECTED
  - NOT_REVIEWED

  - `operator.internalOperator.reviewPersonData.email.operatorConfiguration` (object)

  - `operator.internalOperator.reviewPersonData.email.operatorConfiguration.mode` (string, required)
    Open-type enum. Current values:
  - DISABLED
  - OPTIONAL
  - REQUIRED

  - `operator.internalOperator.reviewPersonData.email.operatorConfiguration.revisable` (boolean, required)

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails` (object)

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.issuanceCountry` (object)

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.issuanceCountry.value` (string)
    Country codes format follows the standard ISO 3166-1 alpha-2 with additional values for special cases according to ICAO 9303.

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.issuanceCountry.status` (string)
    Open-type enum. Current values:
  - APPROVED
  - REVISED
  - REJECTED
  - NOT_REVIEWED

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.issuanceCountry.operatorConfiguration` (object)

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.issuanceCountry.operatorConfiguration.mode` (string, required)
    Open-type enum. Current values:
  - DISABLED
  - OPTIONAL
  - REQUIRED

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.issuanceCountry.operatorConfiguration.revisable` (boolean, required)

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.issuanceAuthority` (object)

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.issuanceAuthority.value` (string)

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.issuanceAuthority.status` (string)
    Open-type enum. Current values:
  - APPROVED
  - REVISED
  - REJECTED
  - NOT_REVIEWED

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.issuanceAuthority.operatorConfiguration` (object)

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.issuanceAuthority.operatorConfiguration.mode` (string, required)
    Open-type enum. Current values:
  - DISABLED
  - OPTIONAL
  - REQUIRED

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.issuanceAuthority.operatorConfiguration.revisable` (boolean, required)

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.type` (object)

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.type.value` (string)
    Values may be added overtime.
List of values: 
- 'IdentityCard'
- 'DriverLicense'
- 'Passport'
- 'ResidencePermit'
- 'ItalianTS'
- 'Undefined'

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.type.status` (string)
    Open-type enum. Current values:
  - APPROVED
  - REVISED
  - REJECTED
  - NOT_REVIEWED

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.type.operatorConfiguration` (object)

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.type.operatorConfiguration.mode` (string, required)
    Open-type enum. Current values:
  - DISABLED
  - OPTIONAL
  - REQUIRED

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.type.operatorConfiguration.revisable` (boolean, required)

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.number` (object)

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.number.value` (string)

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.number.status` (string)
    Open-type enum. Current values:
  - APPROVED
  - REVISED
  - REJECTED
  - NOT_REVIEWED

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.number.operatorConfiguration` (object)

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.number.operatorConfiguration.mode` (string, required)
    Open-type enum. Current values:
  - DISABLED
  - OPTIONAL
  - REQUIRED

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.number.operatorConfiguration.revisable` (boolean, required)

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.issuedOn` (object)

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.issuedOn.value` (string)

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.issuedOn.status` (string)
    Open-type enum. Current values:
  - APPROVED
  - REVISED
  - REJECTED
  - NOT_REVIEWED

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.issuedOn.operatorConfiguration` (object)

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.issuedOn.operatorConfiguration.mode` (string, required)
    Open-type enum. Current values:
  - DISABLED
  - OPTIONAL
  - REQUIRED

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.issuedOn.operatorConfiguration.revisable` (boolean, required)

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.expiryDate` (object)

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.expiryDate.value` (string)

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.expiryDate.status` (string)
    Open-type enum. Current values:
  - APPROVED
  - REVISED
  - REJECTED
  - NOT_REVIEWED

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.expiryDate.operatorConfiguration` (object)

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.expiryDate.operatorConfiguration.mode` (string, required)
    Open-type enum. Current values:
  - DISABLED
  - OPTIONAL
  - REQUIRED

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.expiryDate.operatorConfiguration.revisable` (boolean, required)

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.subType` (object)

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.subType.value` (string)

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.subType.status` (string)
    Open-type enum. Current values:
  - APPROVED
  - REVISED
  - REJECTED
  - NOT_REVIEWED

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.subType.operatorConfiguration` (object)

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.subType.operatorConfiguration.mode` (string, required)
    Open-type enum. Current values:
  - DISABLED
  - OPTIONAL
  - REQUIRED

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.subType.operatorConfiguration.revisable` (boolean, required)

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.dataChanged` (array)

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.dataChanged.key` (string)

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.dataChanged.oldValue` (string)

  - `operator.internalOperator.reviewPersonData.reviewDocumentDetails.dataChanged.newValue` (string)

  - `operator.internalOperator.reviewPersonData.dataChanged` (array)

  - `operator.internalOperator.reviewPersonData.dataChanged.key` (string)

  - `operator.internalOperator.reviewPersonData.dataChanged.oldValue` (string)

  - `operator.internalOperator.reviewPersonData.dataChanged.newValue` (string)

  - `operator.internalOperator.status` (string)
    Open-type enum. Current values:
  - NOT_REQUIRED
  - REQUIRED
  - RESOLVED

  - `operator.internalOperator.personDataSnapshotBeforeOperatorCheck` (object)

  - `operator.internalOperator.personDataSnapshotBeforeOperatorCheck.lastName` (string)

  - `operator.internalOperator.personDataSnapshotBeforeOperatorCheck.firstName` (string)

  - `operator.internalOperator.personDataSnapshotBeforeOperatorCheck.birthDate` (string)

  - `operator.internalOperator.personDataSnapshotBeforeOperatorCheck.birthPlace` (string)

  - `operator.internalOperator.personDataSnapshotBeforeOperatorCheck.personalNumber` (string)
    Personal identification number used in the country.
For instance, in Italy is "Codice Fiscale".

  - `operator.internalOperator.personDataSnapshotBeforeOperatorCheck.gender` (string)
    Open-type enum. Current values:
  - M
  - F
  - X

  - `operator.internalOperator.personDataSnapshotBeforeOperatorCheck.nationality` (string)
    Country codes format follows the standard ISO 3166-1 alpha-2 with additional values for special cases according to ICAO 9303.

  - `operator.internalOperator.personDataSnapshotBeforeOperatorCheck.phoneNumber` (string)

  - `operator.internalOperator.personDataSnapshotBeforeOperatorCheck.address` (object)

  - `operator.internalOperator.personDataSnapshotBeforeOperatorCheck.address.address` (string)
    The address is not split into subparts or mapped to specific fields.
The address class definition is designed to support specific subparts fileds in case the upstream identification system returns the address already split into parts.
For instance it could be: Via del Mondo (or) Via del Mondo 9 (or) Via del Mondo 9 00552 ROMA (RM) (or) Via del Mondo 9 00552 ...

  - `operator.internalOperator.personDataSnapshotBeforeOperatorCheck.address.city` (string)

  - `operator.internalOperator.personDataSnapshotBeforeOperatorCheck.address.country` (string)
    Country codes format follows the standard ISO 3166-1 alpha-2 with additional values for special cases according to ICAO 9303.

  - `operator.internalOperator.personDataSnapshotBeforeOperatorCheck.address.zipcode` (string)

  - `operator.internalOperator.personDataSnapshotBeforeOperatorCheck.address.province` (string)
    Optional

  - `operator.internalOperator.personDataSnapshotBeforeOperatorCheck.address.streetNumber` (string)
    The street number, if available by the identification source
(it may be present or missing in the address. It may be null regardless being present in the address).

  - `operator.internalOperator.personDataSnapshotBeforeOperatorCheck.email` (string)

  - `operator.internalOperator.personDataSnapshotBeforeOperatorCheck.documentDetails` (object)

  - `operator.internalOperator.personDataSnapshotBeforeOperatorCheck.documentDetails.issuanceCountry` (string)
    Country codes format follows the standard ISO 3166-1 alpha-2 with additional values for special cases according to ICAO 9303.

  - `operator.internalOperator.personDataSnapshotBeforeOperatorCheck.documentDetails.issuanceAuthority` (string)
    Body who issued the document.

  - `operator.internalOperator.personDataSnapshotBeforeOperatorCheck.documentDetails.type` (string)
    Values may be added overtime.
List of values: 
- 'IdentityCard'
- 'DriverLicense'
- 'Passport'
- 'ResidencePermit'
- 'ItalianTS'
- 'Undefined'

  - `operator.internalOperator.personDataSnapshotBeforeOperatorCheck.documentDetails.number` (string)

  - `operator.internalOperator.personDataSnapshotBeforeOperatorCheck.documentDetails.issuedOn` (string)

  - `operator.internalOperator.personDataSnapshotBeforeOperatorCheck.documentDetails.expiryDate` (string)

  - `operator.internalOperator.personDataSnapshotBeforeOperatorCheck.documentDetails.subType` (string)

  - `operator.internalOperator.personDataSnapshotBeforeOperatorCheck.documentDetails.mrz` (array)

  - `operator.internalOperator.personDataSnapshotBeforeOperatorCheck.tinDocumentDetails` (object)

  - `operator.internalOperator.personDataSnapshotBeforeOperatorCheck.tinDocumentDetails.issuanceCountry` (string)
    Country codes format follows the standard ISO 3166-1 alpha-2 with additional values for special cases according to ICAO 9303.

  - `operator.internalOperator.personDataSnapshotBeforeOperatorCheck.tinDocumentDetails.issuanceAuthority` (string)
    Body who issued the document.

  - `operator.internalOperator.personDataSnapshotBeforeOperatorCheck.tinDocumentDetails.type` (string)
    Values may be added overtime.
List of values: 
- 'IdentityCard'
- 'DriverLicense'
- 'Passport'
- 'ResidencePermit'
- 'ItalianTS'
- 'Undefined'

  - `operator.internalOperator.personDataSnapshotBeforeOperatorCheck.tinDocumentDetails.number` (string)

  - `operator.internalOperator.personDataSnapshotBeforeOperatorCheck.tinDocumentDetails.issuedOn` (string)

  - `operator.internalOperator.personDataSnapshotBeforeOperatorCheck.tinDocumentDetails.expiryDate` (string)

  - `operator.internalOperator.personDataSnapshotBeforeOperatorCheck.tinDocumentDetails.subType` (string)

  - `operator.internalOperator.personDataSnapshotBeforeOperatorCheck.tinDocumentDetails.mrz` (array)

  - `operator.internalOperator.reviewedAt` (string)

  - `operator.internalOperator.rejected` (boolean)
    this field is true if at least one field has been rejected by operator

  - `electronicIdentification` (object)

  - `electronicIdentification.levelOfAssurance` (string)
    Open-type enum. Current values:
  - low
  - substantial
  - high

  - `idSelf` (object)

  - `idSelf.id` (string)

  - `idSelf.receivedAt` (string)

  - `idSelf.artifacts` (object)
    Artifacts derived from the identification process. Eg. Video of the document, front page of the document, etc.

  - `idSelf.artifacts.biometry` (array)

  - `idSelf.artifacts.biometry.id` (string)

  - `idSelf.artifacts.biometry.filename` (string)

  - `idSelf.artifacts.biometry.mimeType` (string)

  - `idSelf.artifacts.biometry.name` (string)

  - `idSelf.artifacts.biometry.type` (string)
    Values may be added overtime.
List of values: 
  - 'BIOMETRY_VIDEO'
  - 'BIOMETRY_IMAGE'
  - 'DOCUMENT_VIDEO'
  - 'DOCUMENT_IMAGE'
  - 'CONTRACT_DOCUMENT'
  - 'DOCUMENT'
  - 'IDENTITY_DOCUMENT'
  - 'SIGN_AUDIT_LOG'
  - 'IDP_ASSERTION'
  - 'AUDIT_TRAIL'
  - 'TIN_DOCUMENT'

  - `idSelf.artifacts.biometry.family` (string)
    Values may be added overtime.
List of values: 
- 'IDENTIFICATION_ASSET'
- 'SIGNED_DOCUMENT'
- 'ATTACHMENT'
- 'PROOF'
- 'DOCUMENT_TO_SIGN'

  - `idSelf.artifacts.biometry.subType` (string)
    Values may be added overtime.
List of values:
- 'BEST_SELFIE'
- 'PROCESSED_FRONT_SIDE'
- 'PROCESSED_BACK_SIDE'
- 'SELFIE'
- 'FRONT_SIDE'
- 'BACK_SIDE'
- 'ID_PHOTO'
- 'MRZ'
- 'PROOF_RAW'
- 'PROOF_RENDERED'
- 'DOCUMENT_FILLED'
- 'DOCUMENT_FLATTENED'
- 'APPLICATION_FORM'
- 'POLITICALLY_EXPOSED_PERSON_VERIFICATION'
- 'ANTI_TERRORISM_VERIFICATION'
- 'PROVIDER_AUDIT_DATA'

  - `idSelf.artifacts.biometry.metadata` (object)

  - `idSelf.artifacts.biometry.resourceUrl` (string)

  - `idSelf.artifacts.biometry.urlValidBefore` (string)

  - `idSelf.artifacts.biometry.status` (string)
    Values may be added overtime.
List of values: 
- AVAILABLE -> Can be downloaded
- IN_TRANSFER -> The resource is still incomplete
- ABORTED -> The resource was not completed
- DELETED -> The resource was deleted

  - `idSelf.artifacts.biometry.resourceVersionId` (string)

  - `idSelf.artifacts.biometry.sizeBytes` (integer)

  - `idSelf.artifacts.biometry.checksum` (string)

  - `idSelf.artifacts.document` (array)

  - `idSelf.artifacts.document.id` (string)

  - `idSelf.artifacts.document.filename` (string)

  - `idSelf.artifacts.document.mimeType` (string)

  - `idSelf.artifacts.document.name` (string)

  - `idSelf.artifacts.document.type` (string)
    Values may be added overtime.
List of values: 
  - 'BIOMETRY_VIDEO'
  - 'BIOMETRY_IMAGE'
  - 'DOCUMENT_VIDEO'
  - 'DOCUMENT_IMAGE'
  - 'CONTRACT_DOCUMENT'
  - 'DOCUMENT'
  - 'IDENTITY_DOCUMENT'
  - 'SIGN_AUDIT_LOG'
  - 'IDP_ASSERTION'
  - 'AUDIT_TRAIL'
  - 'TIN_DOCUMENT'

  - `idSelf.artifacts.document.family` (string)
    Values may be added overtime.
List of values: 
- 'IDENTIFICATION_ASSET'
- 'SIGNED_DOCUMENT'
- 'ATTACHMENT'
- 'PROOF'
- 'DOCUMENT_TO_SIGN'

  - `idSelf.artifacts.document.subType` (string)
    Values may be added overtime.
List of values:
- 'BEST_SELFIE'
- 'PROCESSED_FRONT_SIDE'
- 'PROCESSED_BACK_SIDE'
- 'SELFIE'
- 'FRONT_SIDE'
- 'BACK_SIDE'
- 'ID_PHOTO'
- 'MRZ'
- 'PROOF_RAW'
- 'PROOF_RENDERED'
- 'DOCUMENT_FILLED'
- 'DOCUMENT_FLATTENED'
- 'APPLICATION_FORM'
- 'POLITICALLY_EXPOSED_PERSON_VERIFICATION'
- 'ANTI_TERRORISM_VERIFICATION'
- 'PROVIDER_AUDIT_DATA'

  - `idSelf.artifacts.document.metadata` (object)

  - `idSelf.artifacts.document.resourceUrl` (string)

  - `idSelf.artifacts.document.urlValidBefore` (string)

  - `idSelf.artifacts.document.status` (string)
    Values may be added overtime.
List of values: 
- AVAILABLE -> Can be downloaded
- IN_TRANSFER -> The resource is still incomplete
- ABORTED -> The resource was not completed
- DELETED -> The resource was deleted

  - `idSelf.artifacts.document.resourceVersionId` (string)

  - `idSelf.artifacts.document.sizeBytes` (integer)

  - `idSelf.artifacts.document.checksum` (string)

  - `idSelf.biometryCheck` (object)

  - `idSelf.biometryCheck.controlsSummary` (integer)
    0: all controls are fine.
-1: at least one quality error
-2: at least one document conformity error
-3: at least one document consistency or authenticity error

  - `idSelf.biometryCheck.controlsGroup` (object)

  - `idSelf.biometryCheck.controlsGroup.biometryVideoNotTampered` (string)
    Open-type enum. Current values:
  - SUCCESS
  - ERROR
  - FAILURE
  - SKIPPED

  - `idSelf.biometryCheck.controlsGroup.idPhotoMatch` (string)
    Open-type enum. Current values:
  - SUCCESS
  - ERROR
  - FAILURE
  - SKIPPED

  - `idSelf.biometryCheck.controlsGroup.passiveLiveness` (string)
    Open-type enum. Current values:
  - SUCCESS
  - ERROR
  - FAILURE
  - SKIPPED

  - `idSelf.biometryCheck.controlsGroup.deepfakeDetectionPassed` (string)
    Open-type enum. Current values:
  - SUCCESS
  - ERROR
  - FAILURE
  - SKIPPED

  - `idSelf.biometryCheck.keysWithError` (array)
    list of controls keys paths with status KO or FAILED.

  - `idSelf.documentCheck` (object)

  - `idSelf.documentCheck.documentType` (string)
    Values may be added overtime.
List of values: 
- 'IdentityCard'
- 'DriverLicense'
- 'Passport'
- 'ResidencePermit'
- 'ItalianTS'
- 'Undefined'

  - `idSelf.documentCheck.documentTypeFamily` (string)
    Values may be added overtime.
List of values: 
- 'IDENTITY_DOCUMENT'
- 'UNDEFINED'

  - `idSelf.documentCheck.controlsSummary` (integer)
    0: all controls are fine.
-1: at least one quality error
-2: at least one document conformity error
-3: at least one document consistency or authenticity error

  - `idSelf.documentCheck.keysWithError` (array)
    list of controls keys paths with status KO or FAILED.

  - `idSelf.documentCheck.controlsGroup` (object)

  - `idSelf.documentCheck.controlsGroup.deepfakeDetectionPassed` (string)
    Open-type enum. Current values:
  - SUCCESS
  - ERROR
  - FAILURE
  - SKIPPED

  - `idSelf.documentCheck.controlsGroup.modelValid` (string)
    Open-type enum. Current values:
  - SUCCESS
  - ERROR
  - FAILURE
  - SKIPPED

  - `idSelf.identificationType` (string)
    Open-type enum. Current values:
  - FULL
  - DOCUMENTS_ONLY
  - BIOMETRY_ONLY

  - `idSelf.videoIdentificationMode` (string)
    Open-type enum. Current values:
  - FAST
  - MAX
  - TRUST

  - `idSelf.ruleProfile` (string)

  - `spid` (object)

  - `spid.samlAssertion` (object)

  - `spid.samlAssertion.id` (string)

  - `spid.samlAssertion.filename` (string)

  - `spid.samlAssertion.mimeType` (string)

  - `spid.samlAssertion.name` (string)

  - `spid.samlAssertion.type` (string)
    Values may be added overtime.
List of values: 
  - 'BIOMETRY_VIDEO'
  - 'BIOMETRY_IMAGE'
  - 'DOCUMENT_VIDEO'
  - 'DOCUMENT_IMAGE'
  - 'CONTRACT_DOCUMENT'
  - 'DOCUMENT'
  - 'IDENTITY_DOCUMENT'
  - 'SIGN_AUDIT_LOG'
  - 'IDP_ASSERTION'
  - 'AUDIT_TRAIL'
  - 'TIN_DOCUMENT'

  - `spid.samlAssertion.family` (string)
    Values may be added overtime.
List of values: 
- 'IDENTIFICATION_ASSET'
- 'SIGNED_DOCUMENT'
- 'ATTACHMENT'
- 'PROOF'
- 'DOCUMENT_TO_SIGN'

  - `spid.samlAssertion.subType` (string)
    Values may be added overtime.
List of values:
- 'BEST_SELFIE'
- 'PROCESSED_FRONT_SIDE'
- 'PROCESSED_BACK_SIDE'
- 'SELFIE'
- 'FRONT_SIDE'
- 'BACK_SIDE'
- 'ID_PHOTO'
- 'MRZ'
- 'PROOF_RAW'
- 'PROOF_RENDERED'
- 'DOCUMENT_FILLED'
- 'DOCUMENT_FLATTENED'
- 'APPLICATION_FORM'
- 'POLITICALLY_EXPOSED_PERSON_VERIFICATION'
- 'ANTI_TERRORISM_VERIFICATION'
- 'PROVIDER_AUDIT_DATA'

  - `spid.samlAssertion.metadata` (object)

  - `spid.samlAssertion.resourceUrl` (string)

  - `spid.samlAssertion.urlValidBefore` (string)

  - `spid.samlAssertion.status` (string)
    Values may be added overtime.
List of values: 
- AVAILABLE -> Can be downloaded
- IN_TRANSFER -> The resource is still incomplete
- ABORTED -> The resource was not completed
- DELETED -> The resource was deleted

  - `spid.samlAssertion.resourceVersionId` (string)

  - `spid.samlAssertion.sizeBytes` (integer)

  - `spid.samlAssertion.checksum` (string)

  - `spid.spidCode` (string)

  - `spid.fiscalNumber` (string)

  - `spid.name` (string)

  - `spid.familyName` (string)

  - `spid.placeOfBirth` (string)

  - `spid.dateOfBirth` (string)

  - `spid.gender` (string)
    Open-type enum. Current values:
  - M
  - F
  - X

  - `spid.expirationDate` (string)
    Present only in SPID Full.

  - `spid.countryOfBirth` (string)
    Present only in SPID Full.

  - `spid.email` (string)
    Present only in SPID Full.

  - `spid.mobilePhone` (string)
    Present only in SPID Full.

  - `spid.address` (string)
    Present only in SPID Full.

  - `spid.domicileStreetAddress` (string)
    Present only in SPID Full.

  - `spid.domicilePostalCode` (string)
    Present only in SPID Full.

  - `spid.domicileMunicipality` (string)
    Present only in SPID Full.

  - `spid.domicileProvince` (string)
    Present only in SPID Full.

  - `spid.domicileNation` (string)
    Present only in SPID Full.

  - `spid.digitalAddress` (string)
    Present only in SPID Full.

  - `spid.idCard` (string)
    Present only in SPID Full.

  - `spid.companyName` (string)
    Present only in SPID Type 3

  - `spid.registeredOffice` (string)
    Present only in SPID Type 3

  - `spid.ivaCode` (string)
    Present only in SPID Type 3

  - `spid.acr` (string)

  - `cie` (object)

  - `cie.firstName` (string)

  - `cie.lastName` (string)

  - `cie.birthDate` (string)

  - `cie.fiscalNumber` (string)

  - `cie.idpAssertion` (object)

  - `cie.idpAssertion.id` (string)

  - `cie.idpAssertion.filename` (string)

  - `cie.idpAssertion.mimeType` (string)

  - `cie.idpAssertion.name` (string)

  - `cie.idpAssertion.type` (string)
    Values may be added overtime.
List of values: 
  - 'BIOMETRY_VIDEO'
  - 'BIOMETRY_IMAGE'
  - 'DOCUMENT_VIDEO'
  - 'DOCUMENT_IMAGE'
  - 'CONTRACT_DOCUMENT'
  - 'DOCUMENT'
  - 'IDENTITY_DOCUMENT'
  - 'SIGN_AUDIT_LOG'
  - 'IDP_ASSERTION'
  - 'AUDIT_TRAIL'
  - 'TIN_DOCUMENT'

  - `cie.idpAssertion.family` (string)
    Values may be added overtime.
List of values: 
- 'IDENTIFICATION_ASSET'
- 'SIGNED_DOCUMENT'
- 'ATTACHMENT'
- 'PROOF'
- 'DOCUMENT_TO_SIGN'

  - `cie.idpAssertion.subType` (string)
    Values may be added overtime.
List of values:
- 'BEST_SELFIE'
- 'PROCESSED_FRONT_SIDE'
- 'PROCESSED_BACK_SIDE'
- 'SELFIE'
- 'FRONT_SIDE'
- 'BACK_SIDE'
- 'ID_PHOTO'
- 'MRZ'
- 'PROOF_RAW'
- 'PROOF_RENDERED'
- 'DOCUMENT_FILLED'
- 'DOCUMENT_FLATTENED'
- 'APPLICATION_FORM'
- 'POLITICALLY_EXPOSED_PERSON_VERIFICATION'
- 'ANTI_TERRORISM_VERIFICATION'
- 'PROVIDER_AUDIT_DATA'

  - `cie.idpAssertion.metadata` (object)

  - `cie.idpAssertion.resourceUrl` (string)

  - `cie.idpAssertion.urlValidBefore` (string)

  - `cie.idpAssertion.status` (string)
    Values may be added overtime.
List of values: 
- AVAILABLE -> Can be downloaded
- IN_TRANSFER -> The resource is still incomplete
- ABORTED -> The resource was not completed
- DELETED -> The resource was deleted

  - `cie.idpAssertion.resourceVersionId` (string)

  - `cie.idpAssertion.sizeBytes` (integer)

  - `cie.idpAssertion.checksum` (string)

  - `cie.acr` (string)

  - `germanId` (object)

  - `germanId.fullName` (string)

  - `germanId.eidDocumentNumber` (string)

  - `germanId.birthDate` (string)

  - `germanId.lastName` (string)

  - `germanId.firstName` (string)

  - `germanId.issuingCountry` (string)

  - `germanId.documentType` (string)

  - `germanId.birthPlace` (string)

  - `germanId.idpAssertion` (object)

  - `germanId.idpAssertion.id` (string)

  - `germanId.idpAssertion.filename` (string)

  - `germanId.idpAssertion.mimeType` (string)

  - `germanId.idpAssertion.name` (string)

  - `germanId.idpAssertion.type` (string)
    Values may be added overtime.
List of values: 
  - 'BIOMETRY_VIDEO'
  - 'BIOMETRY_IMAGE'
  - 'DOCUMENT_VIDEO'
  - 'DOCUMENT_IMAGE'
  - 'CONTRACT_DOCUMENT'
  - 'DOCUMENT'
  - 'IDENTITY_DOCUMENT'
  - 'SIGN_AUDIT_LOG'
  - 'IDP_ASSERTION'
  - 'AUDIT_TRAIL'
  - 'TIN_DOCUMENT'

  - `germanId.idpAssertion.family` (string)
    Values may be added overtime.
List of values: 
- 'IDENTIFICATION_ASSET'
- 'SIGNED_DOCUMENT'
- 'ATTACHMENT'
- 'PROOF'
- 'DOCUMENT_TO_SIGN'

  - `germanId.idpAssertion.subType` (string)
    Values may be added overtime.
List of values:
- 'BEST_SELFIE'
- 'PROCESSED_FRONT_SIDE'
- 'PROCESSED_BACK_SIDE'
- 'SELFIE'
- 'FRONT_SIDE'
- 'BACK_SIDE'
- 'ID_PHOTO'
- 'MRZ'
- 'PROOF_RAW'
- 'PROOF_RENDERED'
- 'DOCUMENT_FILLED'
- 'DOCUMENT_FLATTENED'
- 'APPLICATION_FORM'
- 'POLITICALLY_EXPOSED_PERSON_VERIFICATION'
- 'ANTI_TERRORISM_VERIFICATION'
- 'PROVIDER_AUDIT_DATA'

  - `germanId.idpAssertion.metadata` (object)

  - `germanId.idpAssertion.resourceUrl` (string)

  - `germanId.idpAssertion.urlValidBefore` (string)

  - `germanId.idpAssertion.status` (string)
    Values may be added overtime.
List of values: 
- AVAILABLE -> Can be downloaded
- IN_TRANSFER -> The resource is still incomplete
- ABORTED -> The resource was not completed
- DELETED -> The resource was deleted

  - `germanId.idpAssertion.resourceVersionId` (string)

  - `germanId.idpAssertion.sizeBytes` (integer)

  - `germanId.idpAssertion.checksum` (string)

  - `swissId` (object)

  - `swissId.lastName` (string)

  - `swissId.phoneNumber` (string)

  - `swissId.firstName` (string)

  - `swissId.email` (string)

  - `swissId.acr` (string)

  - `swissId.idpAssertion` (object)

  - `swissId.idpAssertion.id` (string)

  - `swissId.idpAssertion.filename` (string)

  - `swissId.idpAssertion.mimeType` (string)

  - `swissId.idpAssertion.name` (string)

  - `swissId.idpAssertion.type` (string)
    Values may be added overtime.
List of values: 
  - 'BIOMETRY_VIDEO'
  - 'BIOMETRY_IMAGE'
  - 'DOCUMENT_VIDEO'
  - 'DOCUMENT_IMAGE'
  - 'CONTRACT_DOCUMENT'
  - 'DOCUMENT'
  - 'IDENTITY_DOCUMENT'
  - 'SIGN_AUDIT_LOG'
  - 'IDP_ASSERTION'
  - 'AUDIT_TRAIL'
  - 'TIN_DOCUMENT'

  - `swissId.idpAssertion.family` (string)
    Values may be added overtime.
List of values: 
- 'IDENTIFICATION_ASSET'
- 'SIGNED_DOCUMENT'
- 'ATTACHMENT'
- 'PROOF'
- 'DOCUMENT_TO_SIGN'

  - `swissId.idpAssertion.subType` (string)
    Values may be added overtime.
List of values:
- 'BEST_SELFIE'
- 'PROCESSED_FRONT_SIDE'
- 'PROCESSED_BACK_SIDE'
- 'SELFIE'
- 'FRONT_SIDE'
- 'BACK_SIDE'
- 'ID_PHOTO'
- 'MRZ'
- 'PROOF_RAW'
- 'PROOF_RENDERED'
- 'DOCUMENT_FILLED'
- 'DOCUMENT_FLATTENED'
- 'APPLICATION_FORM'
- 'POLITICALLY_EXPOSED_PERSON_VERIFICATION'
- 'ANTI_TERRORISM_VERIFICATION'
- 'PROVIDER_AUDIT_DATA'

  - `swissId.idpAssertion.metadata` (object)

  - `swissId.idpAssertion.resourceUrl` (string)

  - `swissId.idpAssertion.urlValidBefore` (string)

  - `swissId.idpAssertion.status` (string)
    Values may be added overtime.
List of values: 
- AVAILABLE -> Can be downloaded
- IN_TRANSFER -> The resource is still incomplete
- ABORTED -> The resource was not completed
- DELETED -> The resource was deleted

  - `swissId.idpAssertion.resourceVersionId` (string)

  - `swissId.idpAssertion.sizeBytes` (integer)

  - `swissId.idpAssertion.checksum` (string)

  - `austriaId` (object)

  - `austriaId.lastName` (string)

  - `austriaId.firstName` (string)

  - `austriaId.email` (string)

  - `austriaId.phoneNumber` (string)

  - `austriaId.acr` (string)

  - `austriaId.idpAssertion` (object)

  - `austriaId.idpAssertion.id` (string)

  - `austriaId.idpAssertion.filename` (string)

  - `austriaId.idpAssertion.mimeType` (string)

  - `austriaId.idpAssertion.name` (string)

  - `austriaId.idpAssertion.type` (string)
    Values may be added overtime.
List of values: 
  - 'BIOMETRY_VIDEO'
  - 'BIOMETRY_IMAGE'
  - 'DOCUMENT_VIDEO'
  - 'DOCUMENT_IMAGE'
  - 'CONTRACT_DOCUMENT'
  - 'DOCUMENT'
  - 'IDENTITY_DOCUMENT'
  - 'SIGN_AUDIT_LOG'
  - 'IDP_ASSERTION'
  - 'AUDIT_TRAIL'
  - 'TIN_DOCUMENT'

  - `austriaId.idpAssertion.family` (string)
    Values may be added overtime.
List of values: 
- 'IDENTIFICATION_ASSET'
- 'SIGNED_DOCUMENT'
- 'ATTACHMENT'
- 'PROOF'
- 'DOCUMENT_TO_SIGN'

  - `austriaId.idpAssertion.subType` (string)
    Values may be added overtime.
List of values:
- 'BEST_SELFIE'
- 'PROCESSED_FRONT_SIDE'
- 'PROCESSED_BACK_SIDE'
- 'SELFIE'
- 'FRONT_SIDE'
- 'BACK_SIDE'
- 'ID_PHOTO'
- 'MRZ'
- 'PROOF_RAW'
- 'PROOF_RENDERED'
- 'DOCUMENT_FILLED'
- 'DOCUMENT_FLATTENED'
- 'APPLICATION_FORM'
- 'POLITICALLY_EXPOSED_PERSON_VERIFICATION'
- 'ANTI_TERRORISM_VERIFICATION'
- 'PROVIDER_AUDIT_DATA'

  - `austriaId.idpAssertion.metadata` (object)

  - `austriaId.idpAssertion.resourceUrl` (string)

  - `austriaId.idpAssertion.urlValidBefore` (string)

  - `austriaId.idpAssertion.status` (string)
    Values may be added overtime.
List of values: 
- AVAILABLE -> Can be downloaded
- IN_TRANSFER -> The resource is still incomplete
- ABORTED -> The resource was not completed
- DELETED -> The resource was deleted

  - `austriaId.idpAssertion.resourceVersionId` (string)

  - `austriaId.idpAssertion.sizeBytes` (integer)

  - `austriaId.idpAssertion.checksum` (string)

  - `eidas` (object)

  - `eidas.personalNumber` (string)

  - `eidas.identificationNumber` (string)

  - `eidas.givenName` (string)

  - `eidas.familyName` (string)

  - `eidas.birthDate` (string)

  - `eidas.birthPlace` (string)

  - `eidas.gender` (string)
    Open-type enum. Current values:
  - M
  - F
  - X

  - `eidas.address` (string)

  - `eidas.acr` (string)

  - `eidas.idpAssertion` (object)

  - `eidas.idpAssertion.id` (string)

  - `eidas.idpAssertion.filename` (string)

  - `eidas.idpAssertion.mimeType` (string)

  - `eidas.idpAssertion.name` (string)

  - `eidas.idpAssertion.type` (string)
    Values may be added overtime.
List of values: 
  - 'BIOMETRY_VIDEO'
  - 'BIOMETRY_IMAGE'
  - 'DOCUMENT_VIDEO'
  - 'DOCUMENT_IMAGE'
  - 'CONTRACT_DOCUMENT'
  - 'DOCUMENT'
  - 'IDENTITY_DOCUMENT'
  - 'SIGN_AUDIT_LOG'
  - 'IDP_ASSERTION'
  - 'AUDIT_TRAIL'
  - 'TIN_DOCUMENT'

  - `eidas.idpAssertion.family` (string)
    Values may be added overtime.
List of values: 
- 'IDENTIFICATION_ASSET'
- 'SIGNED_DOCUMENT'
- 'ATTACHMENT'
- 'PROOF'
- 'DOCUMENT_TO_SIGN'

  - `eidas.idpAssertion.subType` (string)
    Values may be added overtime.
List of values:
- 'BEST_SELFIE'
- 'PROCESSED_FRONT_SIDE'
- 'PROCESSED_BACK_SIDE'
- 'SELFIE'
- 'FRONT_SIDE'
- 'BACK_SIDE'
- 'ID_PHOTO'
- 'MRZ'
- 'PROOF_RAW'
- 'PROOF_RENDERED'
- 'DOCUMENT_FILLED'
- 'DOCUMENT_FLATTENED'
- 'APPLICATION_FORM'
- 'POLITICALLY_EXPOSED_PERSON_VERIFICATION'
- 'ANTI_TERRORISM_VERIFICATION'
- 'PROVIDER_AUDIT_DATA'

  - `eidas.idpAssertion.metadata` (object)

  - `eidas.idpAssertion.resourceUrl` (string)

  - `eidas.idpAssertion.urlValidBefore` (string)

  - `eidas.idpAssertion.status` (string)
    Values may be added overtime.
List of values: 
- AVAILABLE -> Can be downloaded
- IN_TRANSFER -> The resource is still incomplete
- ABORTED -> The resource was not completed
- DELETED -> The resource was deleted

  - `eidas.idpAssertion.resourceVersionId` (string)

  - `eidas.idpAssertion.sizeBytes` (integer)

  - `eidas.idpAssertion.checksum` (string)

  - `itWallet` (object)

  - `itWallet.familyName` (string)

  - `itWallet.givenName` (string)

  - `itWallet.birthDate` (string)

  - `itWallet.taxIdCode` (string)

  - `itWallet.nationality` (string)

  - `itWallet.email` (string)

  - `itWallet.acr` (string)

  - `itWallet.idpAssertion` (object)

  - `itWallet.idpAssertion.id` (string)

  - `itWallet.idpAssertion.filename` (string)

  - `itWallet.idpAssertion.mimeType` (string)

  - `itWallet.idpAssertion.name` (string)

  - `itWallet.idpAssertion.type` (string)
    Values may be added overtime.
List of values: 
  - 'BIOMETRY_VIDEO'
  - 'BIOMETRY_IMAGE'
  - 'DOCUMENT_VIDEO'
  - 'DOCUMENT_IMAGE'
  - 'CONTRACT_DOCUMENT'
  - 'DOCUMENT'
  - 'IDENTITY_DOCUMENT'
  - 'SIGN_AUDIT_LOG'
  - 'IDP_ASSERTION'
  - 'AUDIT_TRAIL'
  - 'TIN_DOCUMENT'

  - `itWallet.idpAssertion.family` (string)
    Values may be added overtime.
List of values: 
- 'IDENTIFICATION_ASSET'
- 'SIGNED_DOCUMENT'
- 'ATTACHMENT'
- 'PROOF'
- 'DOCUMENT_TO_SIGN'

  - `itWallet.idpAssertion.subType` (string)
    Values may be added overtime.
List of values:
- 'BEST_SELFIE'
- 'PROCESSED_FRONT_SIDE'
- 'PROCESSED_BACK_SIDE'
- 'SELFIE'
- 'FRONT_SIDE'
- 'BACK_SIDE'
- 'ID_PHOTO'
- 'MRZ'
- 'PROOF_RAW'
- 'PROOF_RENDERED'
- 'DOCUMENT_FILLED'
- 'DOCUMENT_FLATTENED'
- 'APPLICATION_FORM'
- 'POLITICALLY_EXPOSED_PERSON_VERIFICATION'
- 'ANTI_TERRORISM_VERIFICATION'
- 'PROVIDER_AUDIT_DATA'

  - `itWallet.idpAssertion.metadata` (object)

  - `itWallet.idpAssertion.resourceUrl` (string)

  - `itWallet.idpAssertion.urlValidBefore` (string)

  - `itWallet.idpAssertion.status` (string)
    Values may be added overtime.
List of values: 
- AVAILABLE -> Can be downloaded
- IN_TRANSFER -> The resource is still incomplete
- ABORTED -> The resource was not completed
- DELETED -> The resource was deleted

  - `itWallet.idpAssertion.resourceVersionId` (string)

  - `itWallet.idpAssertion.sizeBytes` (integer)

  - `itWallet.idpAssertion.checksum` (string)

  - `facephi` (object)

  - `facephi.firstName` (string)

  - `facephi.lastName` (string)

  - `facephi.birthDate` (string)

  - `facephi.personalNumber` (string)

  - `facephi.gender` (string)
    Open-type enum. Current values:
  - M
  - F
  - X

  - `facephi.documentNumber` (string)

  - `facephi.documentType` (string)

  - `facephi.issuedOn` (string)

  - `facephi.expiryDate` (string)

  - `facephi.placeOfIssue` (string)

  - `facephi.issuingCountry` (string)

  - `facephi.birthPlace` (string)

  - `facephi.address` (string)

  - `facephi.nationality` (string)

  - `facephi.artifacts` (object)
    Artifacts derived from the identification process. Eg. Back page of the document, front page of the document, etc.

  - `facephi.artifacts.biometry` (array)

  - `facephi.artifacts.biometry.id` (string)

  - `facephi.artifacts.biometry.filename` (string)

  - `facephi.artifacts.biometry.mimeType` (string)

  - `facephi.artifacts.biometry.name` (string)

  - `facephi.artifacts.biometry.type` (string)
    Values may be added overtime.
List of values: 
  - 'BIOMETRY_VIDEO'
  - 'BIOMETRY_IMAGE'
  - 'DOCUMENT_VIDEO'
  - 'DOCUMENT_IMAGE'
  - 'CONTRACT_DOCUMENT'
  - 'DOCUMENT'
  - 'IDENTITY_DOCUMENT'
  - 'SIGN_AUDIT_LOG'
  - 'IDP_ASSERTION'
  - 'AUDIT_TRAIL'
  - 'TIN_DOCUMENT'

  - `facephi.artifacts.biometry.family` (string)
    Values may be added overtime.
List of values: 
- 'IDENTIFICATION_ASSET'
- 'SIGNED_DOCUMENT'
- 'ATTACHMENT'
- 'PROOF'
- 'DOCUMENT_TO_SIGN'

  - `facephi.artifacts.biometry.subType` (string)
    Values may be added overtime.
List of values:
- 'BEST_SELFIE'
- 'PROCESSED_FRONT_SIDE'
- 'PROCESSED_BACK_SIDE'
- 'SELFIE'
- 'FRONT_SIDE'
- 'BACK_SIDE'
- 'ID_PHOTO'
- 'MRZ'
- 'PROOF_RAW'
- 'PROOF_RENDERED'
- 'DOCUMENT_FILLED'
- 'DOCUMENT_FLATTENED'
- 'APPLICATION_FORM'
- 'POLITICALLY_EXPOSED_PERSON_VERIFICATION'
- 'ANTI_TERRORISM_VERIFICATION'
- 'PROVIDER_AUDIT_DATA'

  - `facephi.artifacts.biometry.metadata` (object)

  - `facephi.artifacts.biometry.resourceUrl` (string)

  - `facephi.artifacts.biometry.urlValidBefore` (string)

  - `facephi.artifacts.biometry.status` (string)
    Values may be added overtime.
List of values: 
- AVAILABLE -> Can be downloaded
- IN_TRANSFER -> The resource is still incomplete
- ABORTED -> The resource was not completed
- DELETED -> The resource was deleted

  - `facephi.artifacts.biometry.resourceVersionId` (string)

  - `facephi.artifacts.biometry.sizeBytes` (integer)

  - `facephi.artifacts.biometry.checksum` (string)

  - `facephi.artifacts.document` (array)

  - `facephi.artifacts.document.id` (string)

  - `facephi.artifacts.document.filename` (string)

  - `facephi.artifacts.document.mimeType` (string)

  - `facephi.artifacts.document.name` (string)

  - `facephi.artifacts.document.type` (string)
    Values may be added overtime.
List of values: 
  - 'BIOMETRY_VIDEO'
  - 'BIOMETRY_IMAGE'
  - 'DOCUMENT_VIDEO'
  - 'DOCUMENT_IMAGE'
  - 'CONTRACT_DOCUMENT'
  - 'DOCUMENT'
  - 'IDENTITY_DOCUMENT'
  - 'SIGN_AUDIT_LOG'
  - 'IDP_ASSERTION'
  - 'AUDIT_TRAIL'
  - 'TIN_DOCUMENT'

  - `facephi.artifacts.document.family` (string)
    Values may be added overtime.
List of values: 
- 'IDENTIFICATION_ASSET'
- 'SIGNED_DOCUMENT'
- 'ATTACHMENT'
- 'PROOF'
- 'DOCUMENT_TO_SIGN'

  - `facephi.artifacts.document.subType` (string)
    Values may be added overtime.
List of values:
- 'BEST_SELFIE'
- 'PROCESSED_FRONT_SIDE'
- 'PROCESSED_BACK_SIDE'
- 'SELFIE'
- 'FRONT_SIDE'
- 'BACK_SIDE'
- 'ID_PHOTO'
- 'MRZ'
- 'PROOF_RAW'
- 'PROOF_RENDERED'
- 'DOCUMENT_FILLED'
- 'DOCUMENT_FLATTENED'
- 'APPLICATION_FORM'
- 'POLITICALLY_EXPOSED_PERSON_VERIFICATION'
- 'ANTI_TERRORISM_VERIFICATION'
- 'PROVIDER_AUDIT_DATA'

  - `facephi.artifacts.document.metadata` (object)

  - `facephi.artifacts.document.resourceUrl` (string)

  - `facephi.artifacts.document.urlValidBefore` (string)

  - `facephi.artifacts.document.status` (string)
    Values may be added overtime.
List of values: 
- AVAILABLE -> Can be downloaded
- IN_TRANSFER -> The resource is still incomplete
- ABORTED -> The resource was not completed
- DELETED -> The resource was deleted

  - `facephi.artifacts.document.resourceVersionId` (string)

  - `facephi.artifacts.document.sizeBytes` (integer)

  - `facephi.artifacts.document.checksum` (string)

  - `facephi.artifacts.idpAssertion` (object)

  - `facephi.artifacts.idpAssertion.id` (string)

  - `facephi.artifacts.idpAssertion.filename` (string)

  - `facephi.artifacts.idpAssertion.mimeType` (string)

  - `facephi.artifacts.idpAssertion.name` (string)

  - `facephi.artifacts.idpAssertion.type` (string)
    Values may be added overtime.
List of values: 
  - 'BIOMETRY_VIDEO'
  - 'BIOMETRY_IMAGE'
  - 'DOCUMENT_VIDEO'
  - 'DOCUMENT_IMAGE'
  - 'CONTRACT_DOCUMENT'
  - 'DOCUMENT'
  - 'IDENTITY_DOCUMENT'
  - 'SIGN_AUDIT_LOG'
  - 'IDP_ASSERTION'
  - 'AUDIT_TRAIL'
  - 'TIN_DOCUMENT'

  - `facephi.artifacts.idpAssertion.family` (string)
    Values may be added overtime.
List of values: 
- 'IDENTIFICATION_ASSET'
- 'SIGNED_DOCUMENT'
- 'ATTACHMENT'
- 'PROOF'
- 'DOCUMENT_TO_SIGN'

  - `facephi.artifacts.idpAssertion.subType` (string)
    Values may be added overtime.
List of values:
- 'BEST_SELFIE'
- 'PROCESSED_FRONT_SIDE'
- 'PROCESSED_BACK_SIDE'
- 'SELFIE'
- 'FRONT_SIDE'
- 'BACK_SIDE'
- 'ID_PHOTO'
- 'MRZ'
- 'PROOF_RAW'
- 'PROOF_RENDERED'
- 'DOCUMENT_FILLED'
- 'DOCUMENT_FLATTENED'
- 'APPLICATION_FORM'
- 'POLITICALLY_EXPOSED_PERSON_VERIFICATION'
- 'ANTI_TERRORISM_VERIFICATION'
- 'PROVIDER_AUDIT_DATA'

  - `facephi.artifacts.idpAssertion.metadata` (object)

  - `facephi.artifacts.idpAssertion.resourceUrl` (string)

  - `facephi.artifacts.idpAssertion.urlValidBefore` (string)

  - `facephi.artifacts.idpAssertion.status` (string)
    Values may be added overtime.
List of values: 
- AVAILABLE -> Can be downloaded
- IN_TRANSFER -> The resource is still incomplete
- ABORTED -> The resource was not completed
- DELETED -> The resource was deleted

  - `facephi.artifacts.idpAssertion.resourceVersionId` (string)

  - `facephi.artifacts.idpAssertion.sizeBytes` (integer)

  - `facephi.artifacts.idpAssertion.checksum` (string)

  - `verifeye` (object)

  - `verifeye.fullName` (string)

  - `verifeye.firstName` (string)

  - `verifeye.lastName` (string)

  - `verifeye.birthDate` (string)

  - `verifeye.gender` (string)
    Open-type enum. Current values:
  - M
  - F
  - X

  - `verifeye.documentNumber` (string)

  - `verifeye.documentType` (string)
    Current values:
- NATIONAL_IDENTITY_CARD
- PASSPORT
- DRIVING_LICENSE
- RESIDENCE_PERMIT

  - `verifeye.issuedOn` (string)

  - `verifeye.expiryDate` (string)

  - `verifeye.issuedBy` (string)

  - `verifeye.issuingCountry` (string)

  - `verifeye.birthPlace` (string)

  - `verifeye.address` (string)

  - `verifeye.phoneNumber` (string)

  - `verifeye.nationality` (string)

  - `verifeye.artifacts` (object)
    Artifacts derived from the identification process. Eg. Back page of the document, front page of the document, etc.

  - `verifeye.artifacts.biometry` (array)

  - `verifeye.artifacts.biometry.id` (string)

  - `verifeye.artifacts.biometry.filename` (string)

  - `verifeye.artifacts.biometry.mimeType` (string)

  - `verifeye.artifacts.biometry.name` (string)

  - `verifeye.artifacts.biometry.type` (string)
    Values may be added overtime.
List of values: 
  - 'BIOMETRY_VIDEO'
  - 'BIOMETRY_IMAGE'
  - 'DOCUMENT_VIDEO'
  - 'DOCUMENT_IMAGE'
  - 'CONTRACT_DOCUMENT'
  - 'DOCUMENT'
  - 'IDENTITY_DOCUMENT'
  - 'SIGN_AUDIT_LOG'
  - 'IDP_ASSERTION'
  - 'AUDIT_TRAIL'
  - 'TIN_DOCUMENT'

  - `verifeye.artifacts.biometry.family` (string)
    Values may be added overtime.
List of values: 
- 'IDENTIFICATION_ASSET'
- 'SIGNED_DOCUMENT'
- 'ATTACHMENT'
- 'PROOF'
- 'DOCUMENT_TO_SIGN'

  - `verifeye.artifacts.biometry.subType` (string)
    Values may be added overtime.
List of values:
- 'BEST_SELFIE'
- 'PROCESSED_FRONT_SIDE'
- 'PROCESSED_BACK_SIDE'
- 'SELFIE'
- 'FRONT_SIDE'
- 'BACK_SIDE'
- 'ID_PHOTO'
- 'MRZ'
- 'PROOF_RAW'
- 'PROOF_RENDERED'
- 'DOCUMENT_FILLED'
- 'DOCUMENT_FLATTENED'
- 'APPLICATION_FORM'
- 'POLITICALLY_EXPOSED_PERSON_VERIFICATION'
- 'ANTI_TERRORISM_VERIFICATION'
- 'PROVIDER_AUDIT_DATA'

  - `verifeye.artifacts.biometry.metadata` (object)

  - `verifeye.artifacts.biometry.resourceUrl` (string)

  - `verifeye.artifacts.biometry.urlValidBefore` (string)

  - `verifeye.artifacts.biometry.status` (string)
    Values may be added overtime.
List of values: 
- AVAILABLE -> Can be downloaded
- IN_TRANSFER -> The resource is still incomplete
- ABORTED -> The resource was not completed
- DELETED -> The resource was deleted

  - `verifeye.artifacts.biometry.resourceVersionId` (string)

  - `verifeye.artifacts.biometry.sizeBytes` (integer)

  - `verifeye.artifacts.biometry.checksum` (string)

  - `verifeye.artifacts.document` (array)

  - `verifeye.artifacts.document.id` (string)

  - `verifeye.artifacts.document.filename` (string)

  - `verifeye.artifacts.document.mimeType` (string)

  - `verifeye.artifacts.document.name` (string)

  - `verifeye.artifacts.document.type` (string)
    Values may be added overtime.
List of values: 
  - 'BIOMETRY_VIDEO'
  - 'BIOMETRY_IMAGE'
  - 'DOCUMENT_VIDEO'
  - 'DOCUMENT_IMAGE'
  - 'CONTRACT_DOCUMENT'
  - 'DOCUMENT'
  - 'IDENTITY_DOCUMENT'
  - 'SIGN_AUDIT_LOG'
  - 'IDP_ASSERTION'
  - 'AUDIT_TRAIL'
  - 'TIN_DOCUMENT'

  - `verifeye.artifacts.document.family` (string)
    Values may be added overtime.
List of values: 
- 'IDENTIFICATION_ASSET'
- 'SIGNED_DOCUMENT'
- 'ATTACHMENT'
- 'PROOF'
- 'DOCUMENT_TO_SIGN'

  - `verifeye.artifacts.document.subType` (string)
    Values may be added overtime.
List of values:
- 'BEST_SELFIE'
- 'PROCESSED_FRONT_SIDE'
- 'PROCESSED_BACK_SIDE'
- 'SELFIE'
- 'FRONT_SIDE'
- 'BACK_SIDE'
- 'ID_PHOTO'
- 'MRZ'
- 'PROOF_RAW'
- 'PROOF_RENDERED'
- 'DOCUMENT_FILLED'
- 'DOCUMENT_FLATTENED'
- 'APPLICATION_FORM'
- 'POLITICALLY_EXPOSED_PERSON_VERIFICATION'
- 'ANTI_TERRORISM_VERIFICATION'
- 'PROVIDER_AUDIT_DATA'

  - `verifeye.artifacts.document.metadata` (object)

  - `verifeye.artifacts.document.resourceUrl` (string)

  - `verifeye.artifacts.document.urlValidBefore` (string)

  - `verifeye.artifacts.document.status` (string)
    Values may be added overtime.
List of values: 
- AVAILABLE -> Can be downloaded
- IN_TRANSFER -> The resource is still incomplete
- ABORTED -> The resource was not completed
- DELETED -> The resource was deleted

  - `verifeye.artifacts.document.resourceVersionId` (string)

  - `verifeye.artifacts.document.sizeBytes` (integer)

  - `verifeye.artifacts.document.checksum` (string)

  - `verifeye.artifacts.idpAssertion` (object)

  - `verifeye.artifacts.idpAssertion.id` (string)

  - `verifeye.artifacts.idpAssertion.filename` (string)

  - `verifeye.artifacts.idpAssertion.mimeType` (string)

  - `verifeye.artifacts.idpAssertion.name` (string)

  - `verifeye.artifacts.idpAssertion.type` (string)
    Values may be added overtime.
List of values: 
  - 'BIOMETRY_VIDEO'
  - 'BIOMETRY_IMAGE'
  - 'DOCUMENT_VIDEO'
  - 'DOCUMENT_IMAGE'
  - 'CONTRACT_DOCUMENT'
  - 'DOCUMENT'
  - 'IDENTITY_DOCUMENT'
  - 'SIGN_AUDIT_LOG'
  - 'IDP_ASSERTION'
  - 'AUDIT_TRAIL'
  - 'TIN_DOCUMENT'

  - `verifeye.artifacts.idpAssertion.family` (string)
    Values may be added overtime.
List of values: 
- 'IDENTIFICATION_ASSET'
- 'SIGNED_DOCUMENT'
- 'ATTACHMENT'
- 'PROOF'
- 'DOCUMENT_TO_SIGN'

  - `verifeye.artifacts.idpAssertion.subType` (string)
    Values may be added overtime.
List of values:
- 'BEST_SELFIE'
- 'PROCESSED_FRONT_SIDE'
- 'PROCESSED_BACK_SIDE'
- 'SELFIE'
- 'FRONT_SIDE'
- 'BACK_SIDE'
- 'ID_PHOTO'
- 'MRZ'
- 'PROOF_RAW'
- 'PROOF_RENDERED'
- 'DOCUMENT_FILLED'
- 'DOCUMENT_FLATTENED'
- 'APPLICATION_FORM'
- 'POLITICALLY_EXPOSED_PERSON_VERIFICATION'
- 'ANTI_TERRORISM_VERIFICATION'
- 'PROVIDER_AUDIT_DATA'

  - `verifeye.artifacts.idpAssertion.metadata` (object)

  - `verifeye.artifacts.idpAssertion.resourceUrl` (string)

  - `verifeye.artifacts.idpAssertion.urlValidBefore` (string)

  - `verifeye.artifacts.idpAssertion.status` (string)
    Values may be added overtime.
List of values: 
- AVAILABLE -> Can be downloaded
- IN_TRANSFER -> The resource is still incomplete
- ABORTED -> The resource was not completed
- DELETED -> The resource was deleted

  - `verifeye.artifacts.idpAssertion.resourceVersionId` (string)

  - `verifeye.artifacts.idpAssertion.sizeBytes` (integer)

  - `verifeye.artifacts.idpAssertion.checksum` (string)

  - `nfc` (object)

  - `nfc.biometryCheck` (object)

  - `nfc.biometryCheck.id` (string)

  - `nfc.biometryCheck.receivedAt` (string)

  - `nfc.biometryCheck.artifacts` (object)
    Artifacts derived from the identification process. Eg. Video of the document, front page of the document, etc.

  - `nfc.biometryCheck.artifacts.biometry` (array)

  - `nfc.biometryCheck.artifacts.biometry.id` (string)

  - `nfc.biometryCheck.artifacts.biometry.filename` (string)

  - `nfc.biometryCheck.artifacts.biometry.mimeType` (string)

  - `nfc.biometryCheck.artifacts.biometry.name` (string)

  - `nfc.biometryCheck.artifacts.biometry.type` (string)
    Values may be added overtime.
List of values: 
  - 'BIOMETRY_VIDEO'
  - 'BIOMETRY_IMAGE'
  - 'DOCUMENT_VIDEO'
  - 'DOCUMENT_IMAGE'
  - 'CONTRACT_DOCUMENT'
  - 'DOCUMENT'
  - 'IDENTITY_DOCUMENT'
  - 'SIGN_AUDIT_LOG'
  - 'IDP_ASSERTION'
  - 'AUDIT_TRAIL'
  - 'TIN_DOCUMENT'

  - `nfc.biometryCheck.artifacts.biometry.family` (string)
    Values may be added overtime.
List of values: 
- 'IDENTIFICATION_ASSET'
- 'SIGNED_DOCUMENT'
- 'ATTACHMENT'
- 'PROOF'
- 'DOCUMENT_TO_SIGN'

  - `nfc.biometryCheck.artifacts.biometry.subType` (string)
    Values may be added overtime.
List of values:
- 'BEST_SELFIE'
- 'PROCESSED_FRONT_SIDE'
- 'PROCESSED_BACK_SIDE'
- 'SELFIE'
- 'FRONT_SIDE'
- 'BACK_SIDE'
- 'ID_PHOTO'
- 'MRZ'
- 'PROOF_RAW'
- 'PROOF_RENDERED'
- 'DOCUMENT_FILLED'
- 'DOCUMENT_FLATTENED'
- 'APPLICATION_FORM'
- 'POLITICALLY_EXPOSED_PERSON_VERIFICATION'
- 'ANTI_TERRORISM_VERIFICATION'
- 'PROVIDER_AUDIT_DATA'

  - `nfc.biometryCheck.artifacts.biometry.metadata` (object)

  - `nfc.biometryCheck.artifacts.biometry.resourceUrl` (string)

  - `nfc.biometryCheck.artifacts.biometry.urlValidBefore` (string)

  - `nfc.biometryCheck.artifacts.biometry.status` (string)
    Values may be added overtime.
List of values: 
- AVAILABLE -> Can be downloaded
- IN_TRANSFER -> The resource is still incomplete
- ABORTED -> The resource was not completed
- DELETED -> The resource was deleted

  - `nfc.biometryCheck.artifacts.biometry.resourceVersionId` (string)

  - `nfc.biometryCheck.artifacts.biometry.sizeBytes` (integer)

  - `nfc.biometryCheck.artifacts.biometry.checksum` (string)

  - `nfc.biometryCheck.artifacts.document` (array)

  - `nfc.biometryCheck.artifacts.document.id` (string)

  - `nfc.biometryCheck.artifacts.document.filename` (string)

  - `nfc.biometryCheck.artifacts.document.mimeType` (string)

  - `nfc.biometryCheck.artifacts.document.name` (string)

  - `nfc.biometryCheck.artifacts.document.type` (string)
    Values may be added overtime.
List of values: 
  - 'BIOMETRY_VIDEO'
  - 'BIOMETRY_IMAGE'
  - 'DOCUMENT_VIDEO'
  - 'DOCUMENT_IMAGE'
  - 'CONTRACT_DOCUMENT'
  - 'DOCUMENT'
  - 'IDENTITY_DOCUMENT'
  - 'SIGN_AUDIT_LOG'
  - 'IDP_ASSERTION'
  - 'AUDIT_TRAIL'
  - 'TIN_DOCUMENT'

  - `nfc.biometryCheck.artifacts.document.family` (string)
    Values may be added overtime.
List of values: 
- 'IDENTIFICATION_ASSET'
- 'SIGNED_DOCUMENT'
- 'ATTACHMENT'
- 'PROOF'
- 'DOCUMENT_TO_SIGN'

  - `nfc.biometryCheck.artifacts.document.subType` (string)
    Values may be added overtime.
List of values:
- 'BEST_SELFIE'
- 'PROCESSED_FRONT_SIDE'
- 'PROCESSED_BACK_SIDE'
- 'SELFIE'
- 'FRONT_SIDE'
- 'BACK_SIDE'
- 'ID_PHOTO'
- 'MRZ'
- 'PROOF_RAW'
- 'PROOF_RENDERED'
- 'DOCUMENT_FILLED'
- 'DOCUMENT_FLATTENED'
- 'APPLICATION_FORM'
- 'POLITICALLY_EXPOSED_PERSON_VERIFICATION'
- 'ANTI_TERRORISM_VERIFICATION'
- 'PROVIDER_AUDIT_DATA'

  - `nfc.biometryCheck.artifacts.document.metadata` (object)

  - `nfc.biometryCheck.artifacts.document.resourceUrl` (string)

  - `nfc.biometryCheck.artifacts.document.urlValidBefore` (string)

  - `nfc.biometryCheck.artifacts.document.status` (string)
    Values may be added overtime.
List of values: 
- AVAILABLE -> Can be downloaded
- IN_TRANSFER -> The resource is still incomplete
- ABORTED -> The resource was not completed
- DELETED -> The resource was deleted

  - `nfc.biometryCheck.artifacts.document.resourceVersionId` (string)

  - `nfc.biometryCheck.artifacts.document.sizeBytes` (integer)

  - `nfc.biometryCheck.artifacts.document.checksum` (string)

  - `nfc.biometryCheck.biometryCheck` (object)

  - `nfc.biometryCheck.biometryCheck.controlsSummary` (integer)
    0: all controls are fine.
-1: at least one quality error
-2: at least one document conformity error
-3: at least one document consistency or authenticity error

  - `nfc.biometryCheck.biometryCheck.controlsGroup` (object)

  - `nfc.biometryCheck.biometryCheck.controlsGroup.biometryVideoNotTampered` (string)
    Open-type enum. Current values:
  - SUCCESS
  - ERROR
  - FAILURE
  - SKIPPED

  - `nfc.biometryCheck.biometryCheck.controlsGroup.idPhotoMatch` (string)
    Open-type enum. Current values:
  - SUCCESS
  - ERROR
  - FAILURE
  - SKIPPED

  - `nfc.biometryCheck.biometryCheck.controlsGroup.passiveLiveness` (string)
    Open-type enum. Current values:
  - SUCCESS
  - ERROR
  - FAILURE
  - SKIPPED

  - `nfc.biometryCheck.biometryCheck.controlsGroup.deepfakeDetectionPassed` (string)
    Open-type enum. Current values:
  - SUCCESS
  - ERROR
  - FAILURE
  - SKIPPED

  - `nfc.biometryCheck.biometryCheck.keysWithError` (array)
    list of controls keys paths with status KO or FAILED.

  - `nfc.biometryCheck.documentCheck` (object)

  - `nfc.biometryCheck.documentCheck.documentType` (string)
    Values may be added overtime.
List of values: 
- 'IdentityCard'
- 'DriverLicense'
- 'Passport'
- 'ResidencePermit'
- 'ItalianTS'
- 'Undefined'

  - `nfc.biometryCheck.documentCheck.documentTypeFamily` (string)
    Values may be added overtime.
List of values: 
- 'IDENTITY_DOCUMENT'
- 'UNDEFINED'

  - `nfc.biometryCheck.documentCheck.controlsSummary` (integer)
    0: all controls are fine.
-1: at least one quality error
-2: at least one document conformity error
-3: at least one document consistency or authenticity error

  - `nfc.biometryCheck.documentCheck.keysWithError` (array)
    list of controls keys paths with status KO or FAILED.

  - `nfc.biometryCheck.documentCheck.controlsGroup` (object)

  - `nfc.biometryCheck.documentCheck.controlsGroup.deepfakeDetectionPassed` (string)
    Open-type enum. Current values:
  - SUCCESS
  - ERROR
  - FAILURE
  - SKIPPED

  - `nfc.biometryCheck.documentCheck.controlsGroup.modelValid` (string)
    Open-type enum. Current values:
  - SUCCESS
  - ERROR
  - FAILURE
  - SKIPPED

  - `nfc.biometryCheck.identificationType` (string)
    Open-type enum. Current values:
  - FULL
  - DOCUMENTS_ONLY
  - BIOMETRY_ONLY

  - `nfc.biometryCheck.videoIdentificationMode` (string)
    Open-type enum. Current values:
  - FAST
  - MAX
  - TRUST

  - `nfc.biometryCheck.ruleProfile` (string)

  - `nfc.documentCheck` (object)

  - `nfc.documentCheck.id` (string)

  - `nfc.documentCheck.receivedAt` (string)

  - `nfc.documentCheck.artifacts` (object)
    Artifacts derived from the identification process. Eg. Video of the document, front page of the document, etc.

  - `nfc.documentCheck.artifacts.biometry` (array)

  - `nfc.documentCheck.artifacts.biometry.id` (string)

  - `nfc.documentCheck.artifacts.biometry.filename` (string)

  - `nfc.documentCheck.artifacts.biometry.mimeType` (string)

  - `nfc.documentCheck.artifacts.biometry.name` (string)

  - `nfc.documentCheck.artifacts.biometry.type` (string)
    Values may be added overtime.
List of values: 
  - 'BIOMETRY_VIDEO'
  - 'BIOMETRY_IMAGE'
  - 'DOCUMENT_VIDEO'
  - 'DOCUMENT_IMAGE'
  - 'CONTRACT_DOCUMENT'
  - 'DOCUMENT'
  - 'IDENTITY_DOCUMENT'
  - 'SIGN_AUDIT_LOG'
  - 'IDP_ASSERTION'
  - 'AUDIT_TRAIL'
  - 'TIN_DOCUMENT'

  - `nfc.documentCheck.artifacts.biometry.family` (string)
    Values may be added overtime.
List of values: 
- 'IDENTIFICATION_ASSET'
- 'SIGNED_DOCUMENT'
- 'ATTACHMENT'
- 'PROOF'
- 'DOCUMENT_TO_SIGN'

  - `nfc.documentCheck.artifacts.biometry.subType` (string)
    Values may be added overtime.
List of values:
- 'BEST_SELFIE'
- 'PROCESSED_FRONT_SIDE'
- 'PROCESSED_BACK_SIDE'
- 'SELFIE'
- 'FRONT_SIDE'
- 'BACK_SIDE'
- 'ID_PHOTO'
- 'MRZ'
- 'PROOF_RAW'
- 'PROOF_RENDERED'
- 'DOCUMENT_FILLED'
- 'DOCUMENT_FLATTENED'
- 'APPLICATION_FORM'
- 'POLITICALLY_EXPOSED_PERSON_VERIFICATION'
- 'ANTI_TERRORISM_VERIFICATION'
- 'PROVIDER_AUDIT_DATA'

  - `nfc.documentCheck.artifacts.biometry.metadata` (object)

  - `nfc.documentCheck.artifacts.biometry.resourceUrl` (string)

  - `nfc.documentCheck.artifacts.biometry.urlValidBefore` (string)

  - `nfc.documentCheck.artifacts.biometry.status` (string)
    Values may be added overtime.
List of values: 
- AVAILABLE -> Can be downloaded
- IN_TRANSFER -> The resource is still incomplete
- ABORTED -> The resource was not completed
- DELETED -> The resource was deleted

  - `nfc.documentCheck.artifacts.biometry.resourceVersionId` (string)

  - `nfc.documentCheck.artifacts.biometry.sizeBytes` (integer)

  - `nfc.documentCheck.artifacts.biometry.checksum` (string)

  - `nfc.documentCheck.artifacts.document` (array)

  - `nfc.documentCheck.artifacts.document.id` (string)

  - `nfc.documentCheck.artifacts.document.filename` (string)

  - `nfc.documentCheck.artifacts.document.mimeType` (string)

  - `nfc.documentCheck.artifacts.document.name` (string)

  - `nfc.documentCheck.artifacts.document.type` (string)
    Values may be added overtime.
List of values: 
  - 'BIOMETRY_VIDEO'
  - 'BIOMETRY_IMAGE'
  - 'DOCUMENT_VIDEO'
  - 'DOCUMENT_IMAGE'
  - 'CONTRACT_DOCUMENT'
  - 'DOCUMENT'
  - 'IDENTITY_DOCUMENT'
  - 'SIGN_AUDIT_LOG'
  - 'IDP_ASSERTION'
  - 'AUDIT_TRAIL'
  - 'TIN_DOCUMENT'

  - `nfc.documentCheck.artifacts.document.family` (string)
    Values may be added overtime.
List of values: 
- 'IDENTIFICATION_ASSET'
- 'SIGNED_DOCUMENT'
- 'ATTACHMENT'
- 'PROOF'
- 'DOCUMENT_TO_SIGN'

  - `nfc.documentCheck.artifacts.document.subType` (string)
    Values may be added overtime.
List of values:
- 'BEST_SELFIE'
- 'PROCESSED_FRONT_SIDE'
- 'PROCESSED_BACK_SIDE'
- 'SELFIE'
- 'FRONT_SIDE'
- 'BACK_SIDE'
- 'ID_PHOTO'
- 'MRZ'
- 'PROOF_RAW'
- 'PROOF_RENDERED'
- 'DOCUMENT_FILLED'
- 'DOCUMENT_FLATTENED'
- 'APPLICATION_FORM'
- 'POLITICALLY_EXPOSED_PERSON_VERIFICATION'
- 'ANTI_TERRORISM_VERIFICATION'
- 'PROVIDER_AUDIT_DATA'

  - `nfc.documentCheck.artifacts.document.metadata` (object)

  - `nfc.documentCheck.artifacts.document.resourceUrl` (string)

  - `nfc.documentCheck.artifacts.document.urlValidBefore` (string)

  - `nfc.documentCheck.artifacts.document.status` (string)
    Values may be added overtime.
List of values: 
- AVAILABLE -> Can be downloaded
- IN_TRANSFER -> The resource is still incomplete
- ABORTED -> The resource was not completed
- DELETED -> The resource was deleted

  - `nfc.documentCheck.artifacts.document.resourceVersionId` (string)

  - `nfc.documentCheck.artifacts.document.sizeBytes` (integer)

  - `nfc.documentCheck.artifacts.document.checksum` (string)

  - `nfc.documentCheck.biometryCheck` (object)

  - `nfc.documentCheck.biometryCheck.controlsSummary` (integer)
    0: all controls are fine.
-1: at least one quality error
-2: at least one document conformity error
-3: at least one document consistency or authenticity error

  - `nfc.documentCheck.biometryCheck.controlsGroup` (object)

  - `nfc.documentCheck.biometryCheck.controlsGroup.biometryVideoNotTampered` (string)
    Open-type enum. Current values:
  - SUCCESS
  - ERROR
  - FAILURE
  - SKIPPED

  - `nfc.documentCheck.biometryCheck.controlsGroup.idPhotoMatch` (string)
    Open-type enum. Current values:
  - SUCCESS
  - ERROR
  - FAILURE
  - SKIPPED

  - `nfc.documentCheck.biometryCheck.controlsGroup.passiveLiveness` (string)
    Open-type enum. Current values:
  - SUCCESS
  - ERROR
  - FAILURE
  - SKIPPED

  - `nfc.documentCheck.biometryCheck.controlsGroup.deepfakeDetectionPassed` (string)
    Open-type enum. Current values:
  - SUCCESS
  - ERROR
  - FAILURE
  - SKIPPED

  - `nfc.documentCheck.biometryCheck.keysWithError` (array)
    list of controls keys paths with status KO or FAILED.

  - `nfc.documentCheck.documentCheck` (object)

  - `nfc.documentCheck.documentCheck.documentType` (string)
    Values may be added overtime.
List of values: 
- 'IdentityCard'
- 'DriverLicense'
- 'Passport'
- 'ResidencePermit'
- 'ItalianTS'
- 'Undefined'

  - `nfc.documentCheck.documentCheck.documentTypeFamily` (string)
    Values may be added overtime.
List of values: 
- 'IDENTITY_DOCUMENT'
- 'UNDEFINED'

  - `nfc.documentCheck.documentCheck.controlsSummary` (integer)
    0: all controls are fine.
-1: at least one quality error
-2: at least one document conformity error
-3: at least one document consistency or authenticity error

  - `nfc.documentCheck.documentCheck.keysWithError` (array)
    list of controls keys paths with status KO or FAILED.

  - `nfc.documentCheck.documentCheck.controlsGroup` (object)

  - `nfc.documentCheck.documentCheck.controlsGroup.deepfakeDetectionPassed` (string)
    Open-type enum. Current values:
  - SUCCESS
  - ERROR
  - FAILURE
  - SKIPPED

  - `nfc.documentCheck.documentCheck.controlsGroup.modelValid` (string)
    Open-type enum. Current values:
  - SUCCESS
  - ERROR
  - FAILURE
  - SKIPPED

  - `nfc.documentCheck.identificationType` (string)
    Open-type enum. Current values:
  - FULL
  - DOCUMENTS_ONLY
  - BIOMETRY_ONLY

  - `nfc.documentCheck.videoIdentificationMode` (string)
    Open-type enum. Current values:
  - FAST
  - MAX
  - TRUST

  - `nfc.documentCheck.ruleProfile` (string)

  - `nfc.documentIdentification` (object)

  - `nfc.documentIdentification.lastName` (string)

  - `nfc.documentIdentification.firstName` (string)

  - `nfc.documentIdentification.birthDate` (string)

  - `nfc.documentIdentification.birthPlace` (string)

  - `nfc.documentIdentification.personalNumber` (string)
    Personal identification number used in the country.
For instance, in Italy is "Codice Fiscale".

  - `nfc.documentIdentification.gender` (string)
    Open-type enum. Current values:
  - M
  - F
  - X

  - `nfc.documentIdentification.nationality` (string)
    Country codes format follows the standard ISO 3166-1 alpha-2 with additional values for special cases according to ICAO 9303.

  - `nfc.documentIdentification.phoneNumber` (string)

  - `nfc.documentIdentification.address` (object)

  - `nfc.documentIdentification.address.address` (string)
    The address is not split into subparts or mapped to specific fields.
The address class definition is designed to support specific subparts fileds in case the upstream identification system returns the address already split into parts.
For instance it could be: Via del Mondo (or) Via del Mondo 9 (or) Via del Mondo 9 00552 ROMA (RM) (or) Via del Mondo 9 00552 ...

  - `nfc.documentIdentification.address.city` (string)

  - `nfc.documentIdentification.address.country` (string)
    Country codes format follows the standard ISO 3166-1 alpha-2 with additional values for special cases according to ICAO 9303.

  - `nfc.documentIdentification.address.zipcode` (string)

  - `nfc.documentIdentification.address.province` (string)
    Optional

  - `nfc.documentIdentification.address.streetNumber` (string)
    The street number, if available by the identification source
(it may be present or missing in the address. It may be null regardless being present in the address).

  - `nfc.documentIdentification.email` (string)

  - `nfc.documentIdentification.documentDetails` (object)

  - `nfc.documentIdentification.documentDetails.issuanceCountry` (string)
    Country codes format follows the standard ISO 3166-1 alpha-2 with additional values for special cases according to ICAO 9303.

  - `nfc.documentIdentification.documentDetails.issuanceAuthority` (string)
    Body who issued the document.

  - `nfc.documentIdentification.documentDetails.type` (string)
    Values may be added overtime.
List of values: 
- 'IdentityCard'
- 'DriverLicense'
- 'Passport'
- 'ResidencePermit'
- 'ItalianTS'
- 'Undefined'

  - `nfc.documentIdentification.documentDetails.number` (string)

  - `nfc.documentIdentification.documentDetails.issuedOn` (string)

  - `nfc.documentIdentification.documentDetails.expiryDate` (string)

  - `nfc.documentIdentification.documentDetails.subType` (string)

  - `nfc.documentIdentification.documentDetails.mrz` (array)

  - `nfc.documentIdentification.tinDocumentDetails` (object)

  - `nfc.documentIdentification.tinDocumentDetails.issuanceCountry` (string)
    Country codes format follows the standard ISO 3166-1 alpha-2 with additional values for special cases according to ICAO 9303.

  - `nfc.documentIdentification.tinDocumentDetails.issuanceAuthority` (string)
    Body who issued the document.

  - `nfc.documentIdentification.tinDocumentDetails.type` (string)
    Values may be added overtime.
List of values: 
- 'IdentityCard'
- 'DriverLicense'
- 'Passport'
- 'ResidencePermit'
- 'ItalianTS'
- 'Undefined'

  - `nfc.documentIdentification.tinDocumentDetails.number` (string)

  - `nfc.documentIdentification.tinDocumentDetails.issuedOn` (string)

  - `nfc.documentIdentification.tinDocumentDetails.expiryDate` (string)

  - `nfc.documentIdentification.tinDocumentDetails.subType` (string)

  - `nfc.documentIdentification.tinDocumentDetails.mrz` (array)

  - `nfc.nfc` (object)

  - `nfc.nfc.transactionId` (string)

  - `nfc.nfc.readAt` (string)

  - `nfc.nfc.firstName` (string)

  - `nfc.nfc.lastName` (string)

  - `nfc.nfc.birthDate` (string)

  - `nfc.nfc.birthPlace` (string)

  - `nfc.nfc.personalNumber` (string)
    Personal identification number used in the country.
For instance, in Italy is "Codice Fiscale".

  - `nfc.nfc.gender` (string)
    Open-type enum. Current values:
  - M
  - F
  - X

  - `nfc.nfc.nationality` (string)
    Country codes format follows the standard ISO 3166-1 alpha-2 with additional values for special cases according to ICAO 9303.

  - `nfc.nfc.phoneNumber` (string)

  - `nfc.nfc.address` (string)

  - `nfc.nfc.email` (string)

  - `nfc.nfc.issuanceCountry` (string)
    Country codes format follows the standard ISO 3166-1 alpha-2 with additional values for special cases according to ICAO 9303.

  - `nfc.nfc.issuanceAuthority` (string)
    Body who issued the document.

  - `nfc.nfc.documentType` (string)
    Values may be added overtime.
List of values: 
- 'IdentityCard'
- 'DriverLicense'
- 'Passport'
- 'ResidencePermit'
- 'ItalianTS'
- 'Undefined'

  - `nfc.nfc.documentNumber` (string)

  - `nfc.nfc.issuedOn` (string)

  - `nfc.nfc.expiryDate` (string)

  - `nfc.nfc.mrz` (array)

  - `nfc.nfc.authentications` (array)

  - `nfc.nfc.ocrFallback` (array)

  - `nfc.nfc.signature` (string)

  - `nfc.evidence` (object)

  - `nfc.evidence.id` (string)

  - `nfc.evidence.filename` (string)

  - `nfc.evidence.mimeType` (string)

  - `nfc.evidence.name` (string)

  - `nfc.evidence.type` (string)
    Values may be added overtime.
List of values: 
  - 'BIOMETRY_VIDEO'
  - 'BIOMETRY_IMAGE'
  - 'DOCUMENT_VIDEO'
  - 'DOCUMENT_IMAGE'
  - 'CONTRACT_DOCUMENT'
  - 'DOCUMENT'
  - 'IDENTITY_DOCUMENT'
  - 'SIGN_AUDIT_LOG'
  - 'IDP_ASSERTION'
  - 'AUDIT_TRAIL'
  - 'TIN_DOCUMENT'

  - `nfc.evidence.family` (string)
    Values may be added overtime.
List of values: 
- 'IDENTIFICATION_ASSET'
- 'SIGNED_DOCUMENT'
- 'ATTACHMENT'
- 'PROOF'
- 'DOCUMENT_TO_SIGN'

  - `nfc.evidence.subType` (string)
    Values may be added overtime.
List of values:
- 'BEST_SELFIE'
- 'PROCESSED_FRONT_SIDE'
- 'PROCESSED_BACK_SIDE'
- 'SELFIE'
- 'FRONT_SIDE'
- 'BACK_SIDE'
- 'ID_PHOTO'
- 'MRZ'
- 'PROOF_RAW'
- 'PROOF_RENDERED'
- 'DOCUMENT_FILLED'
- 'DOCUMENT_FLATTENED'
- 'APPLICATION_FORM'
- 'POLITICALLY_EXPOSED_PERSON_VERIFICATION'
- 'ANTI_TERRORISM_VERIFICATION'
- 'PROVIDER_AUDIT_DATA'

  - `nfc.evidence.metadata` (object)

  - `nfc.evidence.resourceUrl` (string)

  - `nfc.evidence.urlValidBefore` (string)

  - `nfc.evidence.status` (string)
    Values may be added overtime.
List of values: 
- AVAILABLE -> Can be downloaded
- IN_TRANSFER -> The resource is still incomplete
- ABORTED -> The resource was not completed
- DELETED -> The resource was deleted

  - `nfc.evidence.resourceVersionId` (string)

  - `nfc.evidence.sizeBytes` (integer)

  - `nfc.evidence.checksum` (string)

  - `nfc.portrait` (object)

  - `nfc.portrait.id` (string)

  - `nfc.portrait.filename` (string)

  - `nfc.portrait.mimeType` (string)

  - `nfc.portrait.name` (string)

  - `nfc.portrait.type` (string)
    Values may be added overtime.
List of values: 
  - 'BIOMETRY_VIDEO'
  - 'BIOMETRY_IMAGE'
  - 'DOCUMENT_VIDEO'
  - 'DOCUMENT_IMAGE'
  - 'CONTRACT_DOCUMENT'
  - 'DOCUMENT'
  - 'IDENTITY_DOCUMENT'
  - 'SIGN_AUDIT_LOG'
  - 'IDP_ASSERTION'
  - 'AUDIT_TRAIL'
  - 'TIN_DOCUMENT'

  - `nfc.portrait.family` (string)
    Values may be added overtime.
List of values: 
- 'IDENTIFICATION_ASSET'
- 'SIGNED_DOCUMENT'
- 'ATTACHMENT'
- 'PROOF'
- 'DOCUMENT_TO_SIGN'

  - `nfc.portrait.subType` (string)
    Values may be added overtime.
List of values:
- 'BEST_SELFIE'
- 'PROCESSED_FRONT_SIDE'
- 'PROCESSED_BACK_SIDE'
- 'SELFIE'
- 'FRONT_SIDE'
- 'BACK_SIDE'
- 'ID_PHOTO'
- 'MRZ'
- 'PROOF_RAW'
- 'PROOF_RENDERED'
- 'DOCUMENT_FILLED'
- 'DOCUMENT_FLATTENED'
- 'APPLICATION_FORM'
- 'POLITICALLY_EXPOSED_PERSON_VERIFICATION'
- 'ANTI_TERRORISM_VERIFICATION'
- 'PROVIDER_AUDIT_DATA'

  - `nfc.portrait.metadata` (object)

  - `nfc.portrait.resourceUrl` (string)

  - `nfc.portrait.urlValidBefore` (string)

  - `nfc.portrait.status` (string)
    Values may be added overtime.
List of values: 
- AVAILABLE -> Can be downloaded
- IN_TRANSFER -> The resource is still incomplete
- ABORTED -> The resource was not completed
- DELETED -> The resource was deleted

  - `nfc.portrait.resourceVersionId` (string)

  - `nfc.portrait.sizeBytes` (integer)

  - `nfc.portrait.checksum` (string)

  - `nfc.nfcReadingResult` (string)
    NFC reading outcome: SUCCESS, PROCESSING_ERROR, or SKIP_READING

  - `liveId` (object)

  - `liveId.events` (array)

  - `liveId.events.receivedAt` (string)

  - `liveId.events.closeStatus` (string)

  - `liveId.events.processId` (string)

  - `liveId.events.self` (string)

  - `liveId.events.abortCode` (string)

  - `liveId.events.notes` (string)

  - `liveId.events.sourceType` (string)

  - `liveId.artifacts` (object)
    Artifacts derived from the identification process. Eg. Back page of the document, front page of the document, etc.

  - `liveId.artifacts.biometry` (array)

  - `liveId.artifacts.biometry.id` (string)

  - `liveId.artifacts.biometry.filename` (string)

  - `liveId.artifacts.biometry.mimeType` (string)

  - `liveId.artifacts.biometry.name` (string)

  - `liveId.artifacts.biometry.type` (string)
    Values may be added overtime.
List of values: 
  - 'BIOMETRY_VIDEO'
  - 'BIOMETRY_IMAGE'
  - 'DOCUMENT_VIDEO'
  - 'DOCUMENT_IMAGE'
  - 'CONTRACT_DOCUMENT'
  - 'DOCUMENT'
  - 'IDENTITY_DOCUMENT'
  - 'SIGN_AUDIT_LOG'
  - 'IDP_ASSERTION'
  - 'AUDIT_TRAIL'
  - 'TIN_DOCUMENT'

  - `liveId.artifacts.biometry.family` (string)
    Values may be added overtime.
List of values: 
- 'IDENTIFICATION_ASSET'
- 'SIGNED_DOCUMENT'
- 'ATTACHMENT'
- 'PROOF'
- 'DOCUMENT_TO_SIGN'

  - `liveId.artifacts.biometry.subType` (string)
    Values may be added overtime.
List of values:
- 'BEST_SELFIE'
- 'PROCESSED_FRONT_SIDE'
- 'PROCESSED_BACK_SIDE'
- 'SELFIE'
- 'FRONT_SIDE'
- 'BACK_SIDE'
- 'ID_PHOTO'
- 'MRZ'
- 'PROOF_RAW'
- 'PROOF_RENDERED'
- 'DOCUMENT_FILLED'
- 'DOCUMENT_FLATTENED'
- 'APPLICATION_FORM'
- 'POLITICALLY_EXPOSED_PERSON_VERIFICATION'
- 'ANTI_TERRORISM_VERIFICATION'
- 'PROVIDER_AUDIT_DATA'

  - `liveId.artifacts.biometry.metadata` (object)

  - `liveId.artifacts.biometry.resourceUrl` (string)

  - `liveId.artifacts.biometry.urlValidBefore` (string)

  - `liveId.artifacts.biometry.status` (string)
    Values may be added overtime.
List of values: 
- AVAILABLE -> Can be downloaded
- IN_TRANSFER -> The resource is still incomplete
- ABORTED -> The resource was not completed
- DELETED -> The resource was deleted

  - `liveId.artifacts.biometry.resourceVersionId` (string)

[...]
